/* Style Select
 * ---------------------------------------------- */
(function ($) {
	styleSelect = {
		init: function () {
			$('.select_wrapper').each(function () {
				$(this).prepend('<span>' + $(this).find('.select option:selected').text() + '</span>');
			});
			$('.select').live('change', function () {
				$(this).prev('span').replaceWith('<span>' + $(this).find('option:selected').text() + '</span>');
			});
			$('.select').bind($.browser.msie ? 'click' : 'change', function(event) {
				$(this).prev('span').replaceWith('<span>' + $(this).find('option:selected').text() + '</span>');
			}); 
		}
	};
})(jQuery);

/* Doc Ready Functions
 * ---------------------------------------------- */
jQuery.noConflict(); // no conflict mode.
jQuery(document).ready(function($) {

	/* Style Select */
	styleSelect.init();

	/* Fade Notification Effect */
	$('.fade').delay(1000).fadeOut(1000);
	
	/* Tab Layout */
	$('.group').hide();
	$('.group:first').fadeIn();
	
	$('#aero-menu li:first').addClass('current');
	$('#aero-menu li a').click(function(evt) {
		$('#aero-menu li').removeClass('current');
		$(this).parent().addClass('current');
		var clicked_group = $(this).attr('href');
		$('.group').hide();
		$(clicked_group).fadeIn();
		evt.preventDefault();
	}); 	
	
	/* Colorpickr */
	$('.colorSelector').each(function(){
		var Othis = this; //cache a copy of the this variable for use inside nested function
		var initialColor = $(Othis).next('input').attr('value');
		$(this).ColorPicker({
			color: initialColor,
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
					return false;
				},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$(Othis).children('div').css('backgroundColor', '#' + hex);
				$(Othis).next('input').attr('value','#' + hex);
			}
		});
	});
	
	// Image Options
	$('.aero-radio-img-img').click(function(){
		$(this).parent().parent().find('.aero-radio-img-img').removeClass('aero-radio-img-selected');
		$(this).addClass('aero-radio-img-selected');		
	});
		
	$('.aero-radio-img-label').hide();
	$('.aero-radio-img-img').show();
	$('.aero-radio-img-radio').hide();
	
});