
// start the popup specefic scripts
// safe to use $

jQuery(document).ready(function($) {
    var aeros = {
    	loadVals: function()
    	{
    		var shortcode = $('#_aero_shortcode').text(),
    			uShortcode = shortcode;
    		
    		// fill in the gaps eg {{param}}
    		$('.aero-input').each(function() {
    			var input = $(this),
    				id = input.attr('id'),
    				id = id.replace('aero_', ''),		// gets rid of the aero_ prefix
    				re = new RegExp("{{"+id+"}}","g");
    				
    			uShortcode = uShortcode.replace(re, input.val());
    		});
    		
    		// adds the filled-in shortcode as hidden input
    		$('#_aero_ushortcode').remove();
    		$('#aero-sc-form-table').prepend('<div id="_aero_ushortcode" class="hidden">' + uShortcode + '</div>');
    		
    		// updates preview
    		aeros.updatePreview();
    	},
    	cLoadVals: function()
    	{
    		var shortcode = $('#_aero_cshortcode').text(),
    			pShortcode = '';
    			shortcodes = '';
    		
    		// fill in the gaps eg {{param}}
    		$('.child-clone-row').each(function() {
    			var row = $(this),
    				rShortcode = shortcode;
    			
    			$('.aero-cinput', this).each(function() {
    				var input = $(this),
    					id = input.attr('id'),
    					id = id.replace('aero_', '')		// gets rid of the aero_ prefix
    					re = new RegExp("{{"+id+"}}","g");
    					
    				rShortcode = rShortcode.replace(re, input.val());
    			});
    	
    			shortcodes = shortcodes + rShortcode + "\n";
    		});
    		
    		// adds the filled-in shortcode as hidden input
    		$('#_aero_cshortcodes').remove();
    		$('.child-clone-rows').prepend('<div id="_aero_cshortcodes" class="hidden">' + shortcodes + '</div>');
    		
    		// add to parent shortcode
    		this.loadVals();
    		pShortcode = $('#_aero_ushortcode').text().replace('{{child_shortcode}}', shortcodes);
    		
    		// add updated parent shortcode
    		$('#_aero_ushortcode').remove();
    		$('#aero-sc-form-table').prepend('<div id="_aero_ushortcode" class="hidden">' + pShortcode + '</div>');
    		
    		// updates preview
    		aeros.updatePreview();
    	},
    	children: function()
    	{
    		// assign the cloning plugin
    		$('.child-clone-rows').appendo({
    			subSelect: '> div.child-clone-row:last-child',
    			allowDelete: false,
    			focusFirst: false
    		});
    		
    		// remove button
    		$('.child-clone-row-remove').live('click', function() {
    			var	btn = $(this),
    				row = btn.parent();
    			
    			if( $('.child-clone-row').size() > 1 )
    			{
    				row.remove();
    			}
    			else
    			{
    				alert('You need a minimum of one row');
    			}
    			
    			return false;
    		});
    		
    		// assign jUI sortable
    		$( ".child-clone-rows" ).sortable({
				placeholder: "sortable-placeholder",
				items: '.child-clone-row'
				
			});
    	},
    	updatePreview: function()
    	{
    		if( $('#aero-sc-preview').size() > 0 )
    		{
	    		var	shortcode = $('#_aero_ushortcode').html(),
	    			iframe = $('#aero-sc-preview'),
	    			iframeSrc = iframe.attr('src'),
	    			iframeSrc = iframeSrc.split('preview.php'),
	    			iframeSrc = iframeSrc[0] + 'preview.php';
    			
	    		// updates the src value
	    		iframe.attr( 'src', iframeSrc + '?sc=' + base64_encode( shortcode ) );
	    		
	    		// update the height
	    		$('#aero-sc-preview').height( $('#aero-popup').outerHeight()-42 );
    		}
    	},
    	resizeTB: function()
    	{
			var	ajaxCont = $('#TB_ajaxContent'),
				tbWindow = $('#TB_window'),
				aeroPopup = $('#aero-popup'),
				no_preview = ($('#_aero_preview').text() == 'false') ? true : false;
			
			if( no_preview )
			{
				ajaxCont.css({
					paddingTop: 0,
					paddingLeft: 0,
					height: (tbWindow.outerHeight()-47),
					overflow: 'scroll', // IMPORTANT
					width: 560
				});
				
				tbWindow.css({
					width: ajaxCont.outerWidth(),
					marginLeft: -(ajaxCont.outerWidth()/2)
				});
				
				$('#aero-popup').addClass('no_preview');
			}
			else
			{
				ajaxCont.css({
					padding: 0,
					// height: (tbWindow.outerHeight()-47),
					height: aeroPopup.outerHeight()-15,
					overflow: 'hidden' // IMPORTANT
				});
				
				tbWindow.css({
					width: ajaxCont.outerWidth(),
					height: (ajaxCont.outerHeight() + 30),
					marginLeft: -(ajaxCont.outerWidth()/2),
					marginTop: -((ajaxCont.outerHeight() + 47)/2),
					top: '50%'
				});
			}
    	},
    	load: function()
    	{
    		var	aeros = this,
    			popup = $('#aero-popup'),
    			form = $('#aero-sc-form', popup),
    			shortcode = $('#_aero_shortcode', form).text(),
    			popupType = $('#_aero_popup', form).text(),
    			uShortcode = '';
    		
    		// resize TB
    		aeros.resizeTB();
    		$(window).resize(function() { aeros.resizeTB() });
    		
    		// initialise
    		aeros.loadVals();
    		aeros.children();
    		aeros.cLoadVals();
    		
    		// update on children value change
    		$('.aero-cinput', form).live('change', function() {
    			aeros.cLoadVals();
    		});
    		
    		// update on value change
    		$('.aero-input', form).change(function() {
    			aeros.loadVals();
    		});
    		
    		// when insert is clicked
    		$('.aero-insert', form).click(function() {    		 			
    			if(window.tinyMCE)
				{
					window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, $('#_aero_ushortcode', form).html());
					tb_remove();
				}
    		});
    	}
	}
    
    // run
    $('#aero-popup').livequery( function() { aeros.load(); } );
});