<?php 
/** 
 *	Aero Metabox Configurations
 * 	---------------------------------------------------------------------------
 *	@author 	Rifki Aria Gumelar
 *	@link		www.my-themes.com
 *	@credits 	http://farinspace.com, http://github.com/farinspace/wpalchemy
 *	@copyright	Copyright (c) 2012, http://www.my-themes.com
 *				Copyright (c) 2009, Dimas Begunoff, http://farinspace.com
 *	--------------------------------------------------------------------------- */

/*	Include The Metabox Class
 *	---------------------------------------- */
	include_once ( AERO_FRAMEWORK_PATH . 'metabox/metabox.php' );
	include_once ( AERO_FRAMEWORK_PATH . 'metabox/media-access.php' );
	
/*	Include Metabox Style
 *	---------------------------------------- */
	function aero_metabox_style() {
        wp_enqueue_style('wpalchemy-metabox', AERO_FRAMEWORK_DIRECTORY . 'stylesheets/metabox.css');
	}
	add_action('admin_print_styles', 'aero_metabox_style');
	$aero_media_access = new WPAlchemy_MediaAccess();
	
/*	Post Custom Metabox
 *	---------------------------------------- */
	$post_custom_meta = new WPAlchemy_MetaBox( array (
		'id' 		=> '_aero_post_custom_meta',
		'title' 	=> 'Custom Post Options',
		'types' 	=> array('post'),
		'template' 	=> AERO_FRAMEWORK_PATH . 'metabox/post-custom-meta.php'
	));
	
/*	Post Format Metabox
 *	---------------------------------------- */
	$post_format_meta = new WPAlchemy_MetaBox( array (
		'id' 		=> '_aero_post_format_meta',
		'title' 	=> 'Post Format Options',
		'types' 	=> array('post'),
		'template' 	=> AERO_FRAMEWORK_PATH . 'metabox/post-format-meta.php'
	));
	
/*	Page Metabox
 *	---------------------------------------- */
	$page_meta = new WPAlchemy_MetaBox( array (
		'id' 		=> '_aero_page_meta',
		'title' 	=> 'Custom Page Option',
		'types' 	=> array('page'),
		'template' 	=> AERO_FRAMEWORK_PATH . 'metabox/page-custom-meta.php'
	));
	
/*	Portfolio Metabox
 *	---------------------------------------- */
	$portfolio_meta = new WPAlchemy_MetaBox( array (
		'id' 		=> '_aero_portfolio_meta',
		'title' 	=> 'Portfolio Meta',
		'types' 	=> array('portfolio'),
		'template' 	=> AERO_FRAMEWORK_PATH . 'metabox/portfolio-meta.php'
	));
	
?>