<?php
/** 
 *	Aero Admin Interface
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@credits	: Devin Price, http://wptheming.com/
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
	function aeroframework_fields() {

		global $allowedtags;
		$aeroframework_settings = get_option('aeroframework');
		
		if ( isset( $aeroframework_settings['id'] ) ) {
			$option_name = $aeroframework_settings['id'];
		} else {
			$option_name = 'aeroframework';
		}

		$settings = get_option($option_name);
		$options = aeroframework_options();
        
		$counter = 0;
		$menu = '';
		$output = '';
	
		foreach ($options as $value) :
			
			$counter++;
			$val = '';
			$select_value = '';
			$checked = '';
			
			/* Option type heading */
			if ( ( $value['type'] != "heading" ) && ( $value['type'] != "info" ) ) {
				
				$value['id'] = preg_replace('/\W/', '', strtolower($value['id']) );
				$id = 'section-' . $value['id'];
				$class = 'section ';
				
				if ( isset( $value['type'] ) ) {
					$class .= ' section-' . $value['type'];
				}
				
				if ( isset( $value['class'] ) ) {
					$class .= ' ' . $value['class'];
				}

				$output .= '<div id="' . esc_attr( $id ) .'" class="' . esc_attr( $class ) . '">'."\n";
				$output .= '<h3 class="heading">' . esc_html( $value['name'] ) . '</h3>' . "\n";
				$output .= '<div class="option">' . "\n" . '<div class="controls">' . "\n";
			}
			
			/* Set default value to $val. */
			if ( isset( $value['std'] ) ) {
				$val = $value['std'];
			}
			
			/* If the option is already saved, ovveride $val. */
			if ( ($value['type'] != 'heading') && ($value['type'] != 'info')) {
				if ( isset($settings[($value['id'])]) ) {
					
					$val = $settings[($value['id'])];
					
					if (!is_array($val)) {
						$val = stripslashes($val);
					}
					
				}
			}
			
			/* Switch option type */
			switch ( $value['type'] ) {
			
				/* Heading */
				case "heading":
				
				if($counter >= 2){
					$output .= '</div>'."\n";
				}
				
				$menu_id = preg_replace('/\W/', '', strtolower($value['name']) );
				$jquery_click_hook = "aero-option-" . $menu_id;
				
				$menu .= '<li id="'.$menu_id.'"><a title="' . esc_attr( $value['name'] ) . '" href="' . esc_attr( '#'.  $jquery_click_hook ) . '">' . esc_html( $value['name'] ) . '</a></li>';
				$output .= '<div class="group" id="' . esc_attr( $jquery_click_hook ) . '"><h2>' . esc_html( $value['name'] ) . '</h2>' . "\n";
			
				break;
				
				/* Info */
				case "info": $class = 'section';
				
				if ( isset( $value['type'] ) ) {
					$class .= ' section-' . $value['type'];
				}
				
				if ( isset( $value['class'] ) ) {
					$class .= ' ' . $value['class'];
				}

				$output .= '<div class="' . esc_attr( $class ) . '">' . "\n";
				
				if ( isset( $value['name'] ) ) {
					$output .= '<h3 class="heading">' . esc_html( $value['name'] ) . '</h3>' . "\n";
				}
				
				if ( $value['desc'] ) {
					$output .= '<p>'. wp_kses( $value['desc'], $allowedtags) . '</p>' . "\n";
				}
				
				$output .= '<div class="clear"></div></div>' . "\n";
			
				break;  
			
				/* Text Input */
				case 'text':
				
				$output .= '<input id="' . esc_attr( $value['id'] ) . '" class="aero-input" name="' . esc_attr( $option_name . '[' . $value['id'] . ']' ) . '" type="text" value="' . esc_attr( $val ) . '" />';
				
				break;
				
				/* Textarea */
				case 'textarea':
				
				$cols = '8';
				$ta_value = '';
			
				if( isset($value['options'])){
					$ta_options = $value['options'];
						
					if(isset($ta_options['cols'])) {
						$cols = $ta_options['cols'];
					} else { 
						$cols = '8'; 
					}
				}
			
				$val = stripslashes( $val );
			
				$output .= '<textarea id="' . esc_attr( $value['id'] ) . '" class="aero-input" name="' . esc_attr( $option_name . '[' . $value['id'] . ']' ) . '" cols="'. esc_attr( $cols ) . '" rows="8">' . stripslashes($val). '</textarea>';
				
				break;
				
				/* Select */
				case ($value['type'] == 'select'):
			
				$output .= '<div class="select_wrapper"><select class="select aero-input" name="' . esc_attr( $option_name . '[' . $value['id'] . ']' ) . '" id="' . esc_attr( $value['id'] ) . '">';
			
				foreach ($value['options'] as $key => $option ) {
					
					$selected = '';
					
					if( $val != '' ) {
						if ( $val == $key) { $selected = ' selected="selected"';} 
					}
					
					$output .= '<option'. $selected .' value="' . esc_attr( $key ) . '">' . esc_html( $option ) . '</option>';
				} 
				
				$output .= '</select></div>';
				
				break;
				
				/* Radio */
				case "radio":
			
				$name = $option_name .'['. $value['id'] .']';
			
				foreach ($value['options'] as $key => $option) {
					
					$id = $option_name . '-' . $value['id'] .'-'. $key;
					$output .= '<input class="aero-input aero-radio" type="radio" name="' . esc_attr( $name ) . '" id="' . esc_attr( $id ) . '" value="'. esc_attr( $key ) . '" '. checked( $val, $key, false) .' /><label for="' . esc_attr( $id ) . '">' . esc_html( $option ) . '</label><br />';
				
				}
				
				break;
				
				/* Checkbox */
				case "checkbox":
					
				$output .= '<input id="' . esc_attr( $value['id'] ) . '" class="checkbox aero-input" type="checkbox" name="' . esc_attr( $option_name . '[' . $value['id'] . ']' ) . '" '. checked( $val, 1, false) .' />';
		
				break;
		
				/* Multicheck */
				case "multicheck":
			
				foreach ($value['options'] as $key => $option) {
					$checked = '';
					$label = $option;
					$option = preg_replace('/\W/', '', strtolower($key));

					$id = $option_name . '-' . $value['id'] . '-'. $option;
					$name = $option_name . '[' . $value['id'] . '][' . $option .']';

					if ( isset($val[$option]) ) {
						$checked = checked($val[$option], 1, false);
					}

					$output .= '<input id="' . esc_attr( $id ) . '" class="checkbox aero-input" type="checkbox" name="' . esc_attr( $name ) . '" ' . $checked . ' /><label for="' . esc_attr( $id ) . '">' . esc_html( $label ) . '</label><br />';
				}
			
				break;
				
				
				// ADVANCED
				
				/* Image Selectors */
				case "images":
					$name = $option_name .'['. $value['id'] .']';
					foreach ( $value['options'] as $key => $option ) {
						$selected = '';
						$checked = '';
						if ( $val != '' ) {
							if ( $val == $key ) {
								$selected = ' aero-radio-img-selected';
								$checked = ' checked="checked"';
							}
						}
					$output .= '<input type="radio" id="' . esc_attr( $value['id'] .'_'. $key) . '" class="aero-radio-img-radio" value="' . esc_attr( $key ) . '" name="' . esc_attr( $name ) . '" '. $checked .' />';
					$output .= '<div class="aero-radio-img-label">' . esc_html( $key ) . '</div>';
					$output .= '<img src="' . esc_url( $option ) . '" alt="' . $option .'" class="aero-radio-img-img' . $selected .'" onclick="document.getElementById(\''. esc_attr($value['id'] .'_'. $key) .'\').checked=true;" />';
					}
					break;
		
				/* Color */
				case "color":
				
				$output .= '<div id="' . esc_attr( $value['id'] . '_picker' ) . '" class="colorSelector"><div style="' . esc_attr( 'background-color:' . $val ) . '"></div></div>';
				$output .= '<input class="aero-color" name="' . esc_attr( $option_name . '[' . $value['id'] . ']' ) . '" id="' . esc_attr( $value['id'] ) . '" type="text" value="' . esc_attr( $val ) . '" />';
				
				break; 
				
				/* Upload */
				case "upload":
				
				$output .= aero_medialibrary_uploader( $value['id'], $val, null );
				
				break;
				
				case 'background':
			
				$background = $val;
			
				// Background Color		
				$output .= '<div id="' . esc_attr( $value['id'] ) . '_color_picker" class="colorSelector"><div style="' . esc_attr( 'background-color:' . $background['color'] ) . '"></div></div>';
				$output .= '<input class="aero-color aero-background aero-background-color" name="' . esc_attr( $option_name . '[' . $value['id'] . '][color]' ) . '" id="' . esc_attr( $value['id'] . '_color' ) . '" type="text" value="' . esc_attr( $background['color'] ) . '" />';
			
				// Background Image - New AJAX Uploader using Media Library
				if (!isset($background['image'])) {
					$background['image'] = '';
				}
			
				$output .= aero_medialibrary_uploader( $value['id'], $background['image'], null, '',0,'image');
				$class = 'aero-background-properties';
			
				if ( '' == $background['image'] ) {
					$class .= ' hide';
				}
				$output .= '<div class="' . esc_attr( $class ) . '">';
			
				// Background Repeat
				$output .= '<div class="select_wrapper aero-background-repeat"><select class="select aero-background" name="' . esc_attr( $option_name . '[' . $value['id'] . '][repeat]'  ) . '" id="' . esc_attr( $value['id'] . '_repeat' ) . '">';
				$repeats = aero_recognized_background_repeat();
			
				foreach ($repeats as $key => $repeat) {
					$output .= '<option value="' . esc_attr( $key ) . '" ' . selected( $background['repeat'], $key, false ) . '>'. esc_html( $repeat ) . '</option>';
				}
				$output .= '</select></div>';
			
				// Background Position
				$output .= '<div class="select_wrapper" aero-background-position><select class="select aero-background" name="' . esc_attr( $option_name . '[' . $value['id'] . '][position]' ) . '" id="' . esc_attr( $value['id'] . '_position' ) . '">';
				$positions = aero_recognized_background_position();
			
				foreach ($positions as $key=>$position) {
					$output .= '<option value="' . esc_attr( $key ) . '" ' . selected( $background['position'], $key, false ) . '>'. esc_html( $position ) . '</option>';
				}
				$output .= '</select></div>';
			
				// Background Attachment
				$output .= '<div class="select_wrapper aero-background-attachment"><select class="select aero-background" name="' . esc_attr( $option_name . '[' . $value['id'] . '][attachment]' ) . '" id="' . esc_attr( $value['id'] . '_attachment' ) . '">';
				$attachments = aero_recognized_background_attachment();
			
				foreach ($attachments as $key => $attachment) {
					$output .= '<option value="' . esc_attr( $key ) . '" ' . selected( $background['attachment'], $key, false ) . '>' . esc_html( $attachment ) . '</option>';
				}
				$output .= '</select></div>';
				$output .= '</div>';
		
				break;  
				
				/* Typography */
				case 'typography':	
		
				$typography_stored = $val;
			
				// Font Size
				$output .= '<div class="select_wrapper aero-typography-size"><select class="select" name="' . esc_attr( $option_name . '[' . $value['id'] . '][size]' ) . '" id="' . esc_attr( $value['id'] . '_size' ) . '">';
				
				for ($i = 9; $i < 71; $i++) { 
					$size = $i . 'px';
					$output .= '<option value="' . esc_attr( $size ) . '" ' . selected( $typography_stored['size'], $size, false ) . '>' . esc_html( $size ) . '</option>';
				}
				
				$output .= '</select></div>';
		
				// Font Face
				$output .= '<div class="select_wrapper aero-typography-face"><select class="select" name="' . esc_attr( $option_name . '[' . $value['id'] . '][face]' ) . '" id="' . esc_attr( $value['id'] . '_face' ) . '">';
			
				$faces = aero_recognized_font_faces();
				
				foreach ( $faces as $key => $face ) {
					$output .= '<option value="' . esc_attr( $key ) . '" ' . selected( $typography_stored['face'], $key, false ) . '>' . esc_html( $face ) . '</option>';
				}			
			
				$output .= '</select></div>';	

				// Font Weight
				$output .= '<div class="select_wrapper aero-typography-style"><select class="select" name="'.$option_name.'['.$value['id'].'][style]" id="'. $value['id'].'_style">';

				$styles = aero_recognized_font_styles();

				foreach ($styles as $key => $style) {
					$output .= '<option value="' . esc_attr( $key ) . '" ' . selected( $typography_stored['style'], $key, false ) . '>'. $style .'</option>';
				}
				$output .= '</select></div>';

				// Font Color		
				$output .= '<div id="' . esc_attr( $value['id'] ) . '_color_picker" class="colorSelector"><div style="' . esc_attr( 'background-color:' . $typography_stored['color'] ) . '"></div></div>';
				$output .= '<input class="aero-color aero-typography aero-typography-color" name="' . esc_attr( $option_name . '[' . $value['id'] . '][color]' ) . '" id="' . esc_attr( $value['id'] . '_color' ) . '" type="text" value="' . esc_attr( $typography_stored['color'] ) . '" />';

				break;
				
				/* Typography Heading */
				case 'typography_heading':	
		
				$typography_heading_stored = $val;
		
				// Font Face
				$output .= '<div class="select_wrapper aero-typography-face"><select class="select" name="' . esc_attr( $option_name . '[' . $value['id'] . '][face]' ) . '" id="' . esc_attr( $value['id'] . '_face' ) . '">';
			
				$faces = aero_recognized_font_faces();
				
				foreach ( $faces as $key => $face ) {
					$output .= '<option value="' . esc_attr( $key ) . '" ' . selected( $typography_heading_stored['face'], $key, false ) . '>' . esc_html( $face ) . '</option>';
				}			
			
				$output .= '</select></div>';	

				// Font Weight
				$output .= '<div class="select_wrapper aero-typography-style"><select class="select" name="'.$option_name.'['.$value['id'].'][style]" id="'. $value['id'].'_style">';

				$styles = aero_recognized_font_styles();

				foreach ($styles as $key => $style) {
					$output .= '<option value="' . esc_attr( $key ) . '" ' . selected( $typography_heading_stored['style'], $key, false ) . '>'. $style .'</option>';
				}
				$output .= '</select></div>';

				// Font Color		
				$output .= '<div id="' . esc_attr( $value['id'] ) . '_color_picker" class="colorSelector"><div style="' . esc_attr( 'background-color:' . $typography_heading_stored['color'] ) . '"></div></div>';
				$output .= '<input class="aero-color aero-typography aero-typography-color" name="' . esc_attr( $option_name . '[' . $value['id'] . '][color]' ) . '" id="' . esc_attr( $value['id'] . '_color' ) . '" type="text" value="' . esc_attr( $typography_heading_stored['color'] ) . '" />';

				break;
			
			}

			if ( ( $value['type'] != "heading" ) && ( $value['type'] != "info" ) ) {
				
				if ( $value['type'] != "checkbox" ) {
					$output .= '<br/>';
				}
				
				$explain_value = '';
				
				if ( isset( $value['desc'] ) ) {
					$explain_value = $value['desc'];
				}
				
				$output .= '</div><div class="explain">' . wp_kses( $explain_value, $allowedtags) . '</div>'."\n";
				$output .= '<div class="clear"></div></div></div>'."\n";
			}
			
		endforeach;
		
		$output .= '</div>';
		
		return array( $output, $menu );
		
	}
	
?>