<?php
/** 
 *	Aero Sidebar Manager Init
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Register a sidebars
 *	---------------------------------------- */
	$dynamic_active_sidebars = get_option('aero_active_sidebars');

	if( $dynamic_active_sidebars == "" ) {
		$dynamic_active_sidebars = array();
	}

	foreach( $dynamic_active_sidebars as $widget ) {
		
		$temp_widget = array(  
			'name' => __( $widget ),
			'description' => __( 'Dynamic sidebar', 'maggie'),
			'before_widget'	=> '<aside id="%1$s" class="widget %2$s clearfix">',
			'after_widget'	=> '</aside>',
			'before_title'	=> '<h3 class="widget-title"><span>',
			'after_title'	=> '</span></h3>',
		);

		register_sidebar( $temp_widget );
	}

/*	Sidebar Options Metabox
 *	---------------------------------------- */
	add_action('admin_menu', 'aero_sidebars_add_custom_box');

	function aero_sidebars_add_custom_box() {
		add_meta_box('aerosidebars', 'Sidebar Options', 'aero_sidebars_custom_box', 'page', 'side', 'high');
		add_meta_box('aerosidebars', 'Sidebar Options', 'aero_sidebars_custom_box', 'post', 'side', 'high');
		add_meta_box('aerosidebars', 'Sidebar Options', 'aero_sidebars_custom_box', 'portfolio', 'side', 'high');
	}

	function aero_sidebars_custom_box() {
		global $post;
	
		$active_sidebars = array();
		$sidebar = get_post_meta($post->ID,'_dynamic_sidebar',true);
		$active_sidebars = get_option("aero_active_sidebars");
	
		if( $active_sidebars == '' ) {
			$active_sidebars = array(); 
		}
	
		$sidebar_array = '<select name="dynamic_sidebars"><option value="default">Default</option>';
	
		foreach($active_sidebars as $bar ) {
		
			if($sidebar==$bar)
			
			$sidebar_array = $sidebar_array."<option value='{$bar}' selected>{$bar}</option>";
		
			else 
			
			$sidebar_array = $sidebar_array."<option value='{$bar}'>{$bar}</option>";
	
		}
	
		$sidebar_array =  $sidebar_array.'</select>';
	
		?>
		<div id="sidebar_box">
			<p>Choose the sidebar for this post/page</p>
			<p>
				<label for="dynamic_sidebars">Dynamic Sidebars</label>
				<?php echo $sidebar_array; ?>
			</p>
		</div>
		<?php
	}

	add_action('save_post', 'aero_sidebars_save_postdata');

	/* Save options settings */
	function aero_sidebars_save_postdata( $post_id ) {
		if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return $post_id;
		$_POST["dynamic_sidebars"] = ( !isset($_POST["dynamic_sidebars"]) ) ? '' : $_POST["dynamic_sidebars"];
		update_post_meta( $post_id, "_dynamic_sidebar", $_POST["dynamic_sidebars"] );
	}
?>