<?php
/** 
 *	Aero Sidebar Manager 
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */

/*	Sidebar Manager Init
 *	---------------------------------------- */
	add_action('admin_init', 'sidebarmanager_add_init');

	function sidebarmanager_add_init() {   
		if( isset( $_GET['page'] ) && ( $_GET['page'] == 'aero-sidebar-manager' ) ) {	
			
			wp_enqueue_style('admin-style', AERO_FRAMEWORK_DIRECTORY . 'stylesheets/admin-style.css');
			wp_enqueue_script('jquery-ui-core');
			wp_enqueue_script('jquery-ui-sortable', array('jquery'));
			
		}
	}
	
/*	Sidebar Manager Page Elements
 *	---------------------------------------- */
	function aero_sidebar_manager() {	
	
		$active_sidebar = '';
		$inactive_sidebar = '';
			
		if( isset( $_POST["submit"] ) ) {
			
			$active_sidebar = $_POST['active'];
			$inactive_sidebar = $_POST['inactive'];
			
			update_option( "aero_active_sidebars", $active_sidebar );
			update_option( "aero_inactive_sidebars", $inactive_sidebar );
			
		}
	
		$active = get_option("aero_active_sidebars");
		$inactive = get_option("aero_inactive_sidebars");

		if( $active== '' ) {
			$active = array(); 
		}
		
		if( $inactive == '') {
			$inactive = array();
		} 
		
		?>
      
		<script type="text/javascript">
		jQuery(function() {
		
			/* Tab Layout */
			jQuery('.group').hide();
			jQuery('.group:first').fadeIn();
	
			jQuery('#aero-menu li:first').addClass('current');
			jQuery('#aero-menu li a').click(function(evt) {
				jQuery('#aero-menu li').removeClass('current');
				jQuery(this).parent().addClass('current');
				var clicked_group = jQuery(this).attr('href');
				jQuery('.group').hide();
				jQuery(clicked_group).fadeIn();
				evt.preventDefault();
			}); 	
	
			jQuery( "ul.droptrue" ).sortable({
				connectWith: "ul"
			});

			jQuery( "#activesidebars, #inactivesidebars" ).disableSelection();
		
			jQuery("#addsidebar").click(function(){
				if(jQuery.trim(jQuery("#sidebar_name").val())=="") return;
				jQuery("#activesidebars").prepend(" <li><span>" + jQuery("#sidebar_name").val() + "</span><input type=\"hidden\" value=\"" + jQuery("#sidebar_name").val() + "\" name=\"active[]\" /> <a href=\"#\" class=\"delete\">X</a></li>");
				jQuery("#sidebar_name").val("");
			});
		
			jQuery("#activesidebars").sortable({ placeholder:'sidebar-holder' ,connectWith: '#inactivesidebars' 
			,  stop: function(event, ui) { ui.item.find("input").attr("name","inactive[]"); }
			});
		
			jQuery("#inactivesidebars").sortable({ placeholder:'sidebar-holder' , connectWith: '#activesidebars'
			,  stop: function(event, ui) { ui.item.find("input").attr("name","active[]"); }
			});
		
			jQuery(".delete").live("click",function(e){
				jQuery(this).parent().remove();
				e.preventDefault();
			});
		
		});
		</script>

		<div id="aero-container">	
			<form action="" method="post">
				<div id="aero-inner-left">
					<div id="logo">
						<img src="<?php echo AERO_FRAMEWORK_DIRECTORY; ?>images/aero.png"/>
					</div>
					
					<ul id="aero-menu">					
						<li><a title="Add Sidebar" href="#aero-add-sidebar-group">Sidebar Manager</a></li>
						<li><a title="Instructions" href="#aero-instructions-sidebar-group">Instructions</a></li>	
					</ul>
				
				</div>
			
				<div id="aero-inner-right">
					
					<div class="group" id="aero-add-sidebar-group">
						<h2>Sidebar Manager</h2>
					
						<div class="section">
						
							<div id="addnewsidebar">
								<h3 class="heading">Add New Sidebar</h3>
								<input id="sidebar_name" name="sidebar_name" type="text" />
								<input name="addsidebar" type="button" value="Add new sidebar" id="addsidebar" class="button add" /> 
							</div>
							
							<div id="dragdropsidebar">
							
								<div class="activecontainer">
									<h3 class="heading">Active Sidebar</h3>
									<ul id="activesidebars" class='droptrue'>
										<?php foreach( $active as $sidebar ) : 
										echo "<li><input type='hidden' name='active[]' value='".$sidebar."'/>".$sidebar." <a href='#' class='delete'>X</a></li>";  
										endforeach; ?>
									</ul>
								</div>
								
								<div class="inactivecontainer">
									<h3 class="heading">Inactive Sidebar</h3>
									<ul id="inactivesidebars" class='droptrue'>
										<?php foreach( $inactive as $sidebar ) : 
										echo "<li><input type='hidden' name='inactive[]' value='".$sidebar."'/>".$sidebar." <a href='#' class='delete'>X</a></li>";
										endforeach; ?>
									</ul>
								</div>
								
								<div class="clear"></div>
							</div>
							
							<div class="clear"></div>
						
						</div><!--.section-->
					</div><!--#aero-add-sidebar-group-->
					
					<div class="group" id="aero-instructions-sidebar-group">
						<h2>Instructions</h2>
					
						<div class="section">
							<h3 class="heading">How to create a sidebar?</h3>
							<p>
								<ol style="padding-bottom:20px">
									<li>Click on the "Manage Sidebar" tab.</li>
									<li>Enter your sidebar name in the <strong>Add new sidebar</strong> text input then click the blue button, the sidebar name must be unique.</li>
									<li>Your new sidebar name will be added into <strong>Active Sidebar box</strong> it's mean your sidebar is ready to use.</li>
									<li>To deactivate the sidebar just simply drag and drop your sidebar into <strong>Inactive Sidebar</strong> box on the right side.</li>
									<li>Click save button.</li>
								</ol>
								<div class="clear"></div>
							</p>
						
							<h3 class="heading">How to use a sidebar?</h3>
							<p>
								<ol>
									<li>When you create a new post/page you should see the sidebar option metabox on the upper right of post/page editor. Select the preferred sidebar or ignore it to make post/page use default sidebar.</li>
									<li>Go to <strong>Appereance</strong> -> <strong>Widget</strong> and put your widget in the sidebar that you have created.</li>
									<li>Save the post/page and see the result.</li>
								</ol>
								<div class="clear"></div>
							</p>
							
						</div><!--.section-->
					</div><!--#aero-instructions-sidebar-group-->
					
					
					<div id="aero-footer">
						<input type="submit" class="save-button" name="submit" value="<?php esc_attr_e( 'Save Sidebars', TXTDOMAIN ); ?>" />
						<div class="clear"></div>
					</div>
				
				</div><!--#aero-inner-right-->
			</form>
			
			<div class="clear"></div>
		</div>
		
	<?php 
	} 
?>