<?php
/** 
 *	Media Uploader
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@credits	: Devin Price, http://wptheming.com/
 *	@credits	: Woothemes, http://woothemes.com/
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */

/*	Load Media Uploader Stylesheet
 *	---------------------------------------- */
	if ( is_admin() ) {
		$aero_page = 'appearance_page_aero-framework';
		add_action("admin_print_styles-$aero_page", 'aeroframework_mlu_css', 0);
		add_action("admin_print_scripts-$aero_page", 'aeroframework_mlu_js', 0);	
	}

/*	Create Special Custom Post Type 
 *	---------------------------------------- */
	if ( ! function_exists( 'aeroframework_mlu_init' ) ) :
	function aeroframework_mlu_init () {
		register_post_type( 'aeroframework', array(
			'labels' 		=> array( 'name' => __( 'Aero Framework Internal Container', TXTDOMAIN ) ),
			'public' 		=> true,
			'show_ui' 		=> false,
			'capability_type' => 'post',
			'hierarchical'	=> false,
			'rewrite' 		=> false,
			'supports' 		=> array( 'title', 'editor' ), 
			'query_var' 	=> false,
			'can_export' 	=> true,
			'show_in_nav_menus' => false
		) );
	}
	endif;
 
/*	Include Tickbox CSS 
 *	---------------------------------------- */
	if ( ! function_exists( 'aeroframework_mlu_css' ) ) :
	function aeroframework_mlu_css () {
	
		$_html = '';
		$_html .= '<link rel="stylesheet" href="' . get_option('siteurl') . '/' . WPINC . '/js/thickbox/thickbox.css" type="text/css" media="screen" />' . "\n";
		$_html .= '<script type="text/javascript">
		var tb_pathToImage = "' . get_option('siteurl') . '/' . WPINC . '/js/thickbox/loadingAnimation.gif";
	    var tb_closeImage = "' . get_option('siteurl') . '/' . WPINC . '/js/thickbox/tb-close.png";
	    </script>' . "\n";
	    
	    echo $_html;
		
	}
	endif;

/*	Load Necessary JavaScript File
 *	---------------------------------------- */
	if ( ! function_exists( 'aeroframework_mlu_js' ) ) :
	function aeroframework_mlu_js () {
		wp_register_script( 'aero-medialibrary-uploader', AERO_FRAMEWORK_DIRECTORY .'javascripts/media-uploader.js', array( 'jquery', 'thickbox' ) );
		wp_enqueue_script( 'aero-medialibrary-uploader' );
		wp_enqueue_script( 'media-upload' );
	}
	endif;

/*	Create Media Uploader Input Field
 *	---------------------------------------- */
	if ( ! function_exists( 'aero_medialibrary_uploader' ) ) :
	function aero_medialibrary_uploader( $_id, $_value, $_mode = 'full', $_desc = '', $_postid = 0, $_name = '') {
	
		$aeroframework_settings = get_option('aeroframework');
		$option_name = $aeroframework_settings['id'];
	
		$output = '';
		$id = '';
		$class = '';
		$int = '';
		$value = '';
		$name = '';
		
		$id  = strip_tags( strtolower( $_id ) );
		$int = aeroframework_mlu_get_silentpost( $id );
		
		// If a value is passed and we don't have a stored value, use the value that's passed through.
		if ( $_value != '' && $value == '' ) {
			$value = $_value;
		}
		
		if ($_name != '') {
			$name = $option_name.'['.$id.']['.$_name.']';
		} else {
			$name = $option_name.'['.$id.']';
		}
		
		if ( $value ) { 
			$class = ' has-file'; 
		}
		
		$output .= '<input id="' . $id . '" class="upload' . $class . '" type="text" name="'.$name.'" value="' . $value . '" />' . "\n";
		$output .= '<input id="upload_' . $id . '" class="upload_button" type="button" value="' . __( 'Upload', TXTDOMAIN ) . '" rel="' . $int . '" />' . "\n";
		
		if ( $_desc != '' ) {
			$output .= '<span class="aero_metabox_desc">' . $_desc . '</span>' . "\n";
		}
		
		$output .= '<div class="screenshot" id="' . $id . '_image">' . "\n";
		
		if ( $value != '' ) { 
			$remove = '<a href="javascript:(void);" class="mlu_remove">Remove</a>';
			$image = preg_match( '/(^.*\.jpg|jpeg|png|gif|ico*)/i', $value );
			if ( $image ) {
				$output .= '<img src="' . $value . '" alt="" />'.$remove.'';
			} else {
				$parts = explode( "/", $value );
				for( $i = 0; $i < sizeof( $parts ); ++$i ) {
					$title = $parts[$i];
				}

				// No output preview if it's not an image.			
				$output .= '';
			
				// Standard generic output if it's not an image.	
				$title = __( 'View File', TXTDOMAIN );
				$output .= '<div class="no_image"><span class="file_link"><a href="' . $value . '" target="_blank" rel="external">'.$title.'</a></span>' . $remove . '</div>';
			}	
		}
		$output .= '</div>' . "\n";
		return $output;
	}	
	endif;
	
/*	Uses "silent" posts in the database
 *	---------------------------------------- */
	if ( ! function_exists( 'aeroframework_mlu_get_silentpost' ) ) :
	function aeroframework_mlu_get_silentpost ( $_token ) {
	
		global $wpdb;
		$_id = 0;
		$_token = strtolower( str_replace( ' ', '_', $_token ) );
		
		if ( $_token ) {
			
			$_args = array( 'post_type' => 'aeroframework', 'post_name' => 'aero-' . $_token, 'post_status' => 'draft', 'comment_status' => 'closed', 'ping_status' => 'closed' );
			$query = 'SELECT ID FROM ' . $wpdb->posts . ' WHERE post_parent = 0';
			
			foreach ( $_args as $k => $v ) {
				$query .= ' AND ' . $k . ' = "' . $v . '"';
			} 
			
			$query .= ' LIMIT 1';
			$_posts = $wpdb->get_row( $query );
			
			if ( count( $_posts ) ) {
				$_id = $_posts->ID;
			} else {
				$_words = explode( '_', $_token );
				$_title = join( ' ', $_words );
				$_title = ucwords( $_title );
				$_post_data = array( 'post_title' => $_title );
				$_post_data = array_merge( $_post_data, $_args );
				$_id = wp_insert_post( $_post_data );
			}	
		}
		
		return $_id;
	}
	endif;

/*	Trigger code inside the Media Library popup.
 *	---------------------------------------- */
	if ( ! function_exists( 'aeroframework_mlu_insidepopup' ) ) :
	function aeroframework_mlu_insidepopup () {
		if ( isset( $_REQUEST['is_aeroframework'] ) && $_REQUEST['is_aeroframework'] == 'yes' ) {
			add_action( 'admin_head', 'aeroframework_mlu_js_popup' );
			add_filter( 'media_upload_tabs', 'aeroframework_mlu_modify_tabs' );
		}
	}
	endif;
	
	if ( ! function_exists( 'aeroframework_mlu_js_popup' ) ) :
	function aeroframework_mlu_js_popup () {
		
		$_aero_title = $_REQUEST['aero_title'];
		
		if ( ! $_aero_title ) { $_aero_title = 'file'; } // End IF Statement ?>
			<script type="text/javascript">
			<!--
			jQuery(function($) {
				jQuery.noConflict();
		
				// Change the title of each tab to use the custom title text instead of "Media File".
				$('h3.media-title').each ( function () {
					var current_title = $(this).html();
					var new_title = current_title.replace( 'media file', '<?php echo $_aero_title; ?>' );
					$(this).html( new_title );
				});
		
				// Change the text of the "Insert into Post" buttons to read "Use this File".
				$('.savesend input.button[value*="Insert into Post"], .media-item #go_button').attr('value', 'Use this File');
		
				// Hide the "Insert Gallery" settings box on the "Gallery" tab.
				$('div#gallery-settings').hide();
		
				// Preserve the "is_aeroframework" parameter on the "delete" confirmation button.
				$('.savesend a.del-link').click(function () {
					var continueButton = $(this).next('.del-attachment ).children('a.button[id*="del"]');
					var continueHref = continueButton.attr( 'href' );
					continueHref = continueHref + '&is_aeroframework=yes';
					continueButton.attr('href', continueHref );
				});
			});
			-->
			</script>
		<?php
	}
	endif;
	
	if ( ! function_exists('aeroframework_mlu_modify_tabs') ) :
	function aeroframework_mlu_modify_tabs ( $tabs ) {
		$tabs['gallery'] = str_replace( __( 'Gallery', TXTDOMAIN ), __( 'Previously Uploaded', TXTDOMAIN ), $tabs['gallery'] );
		return $tabs;
	}
	endif
?>