<?php
/** 
 *	Aero Theme Options
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@credits	: Devin Price, http://wptheming.com/
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Create Options Name
 *	---------------------------------------- */
 
	function aeroframework_option_name() {

		$themename = preg_replace( "/\W/" , "", strtolower( THEMENAME ) );
		$aeroframework_settings = get_option('aeroframework');
		$aeroframework_settings['id'] = $themename;
		update_option('aeroframework', $aeroframework_settings);
	
	}

/*	Option Array
 *	---------------------------------------- */
 
	function aeroframework_options() {

		// default background style.
		$default_background = array( 
			'color' => '', 
			'image' => '', 
			'repeat' => 'repeat', 
			'position' => 'top left', 
			'attachment'=> 'scroll' 
		);
		
		$fonts = array(
			'arial' => 'Arial',
			'verdana' => 'Verdana',
			'trebuchet' => 'Trebuchet',
			'georgia' => 'Georgia',
			'times' => 'Times New Roman',
			'tahoma' => 'Tahoma',
			'palatino' => 'Palatino',
		);
		
		$order_options = array(
			"" => "Select..",
			"ASC" => "Ascending",
			"DESC" => "Descending",
		);
		
		$order_by_options = array(
			"" => "Select..",
			"author" => "Author",
			"comment_count" => "Comment Count",
			"ID" => "ID",
			"modified" => "Modified",
			"rand" => "Random",
			"title" => "Title",
		);
		
		// Pull all the categories into an array
		$options_categories = array();  
		$options_categories_obj = get_categories();
		$options_categories[''] = 'Select a category:';
			foreach ($options_categories_obj as $category) {
				$options_categories[$category->cat_ID] = $category->cat_name;
			}
			
		$options_tags = array();
		$options_tags_obj = get_tags();
		$options_tags[''] = 'Select a tag:';
			foreach ($options_tags_obj as $tag) {
				$options_tags[$tag->slug] = $tag->name;
			}
		
		// template directory.
		$dir = get_template_directory_uri();
		$path = get_template_directory();
		$prefix = preg_replace( "/\W/" , "", strtolower( THEMENAME ) );
		$fx = $prefix . '_';
	
		// start the options.
		$options = array();
	
		/* GENERAL OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "General Options",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Custom Logo",
			"desc" 	=> "Upload your logo image for your site or enter the URL of your logo on the text input.",
			"id" 	=> $fx . "custom_logo",
			"std" 	=> "",
			"type" 	=> "upload"
		);
		
		$options[] = array( 
			"name" 	=> "Custom Favicon",
			"desc" 	=> "Upload your custom favicon for your site or enter the URL of your favicon on the text input.",
			"id" 	=> $fx . "custom_favicon",
			"std" 	=> "",
			"type" 	=> "upload"
		);
		
		$options[] = array( 
			"name" 	=> "Tracking Code",
			"desc" 	=> "Add your Google Analytics code or some other, please insert without <strong>Script</strong> tag.",
			"id" 	=> $fx . "footer_analitycs",
			"std" 	=> "",
			"type" 	=> "textarea"
		);
		
		$options[] = array( 
			"name" 	=> "Custom CSS",
			"desc" 	=> "Quick way of adding css style to your site.",
			"id" 	=> $fx . "custom_css",
			"std" 	=> "",
			"type" 	=> "textarea"
		);
		
		/* LAYOUT SETTINGS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Layout",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "General Layout",
			"desc" 	=> "Choose a default layout position for your site",
			"id" 	=> $fx . "general_layout",
			"std" 	=> "right_sidebar",
			"type" 	=> "images",
			"options" => array(
					'left_sidebar' => $dir . '/aero/images/2cl.png',
					'right_sidebar' => $dir . '/aero/images/2cr.png'
			)
		);
		
		$options[] = array( 
			"name" 	=> "Homepage Layout Style",
			"desc" 	=> "Choose a style for your homepage layout",
			"id" 	=> $fx . "home_page_style",
			"std" 	=> "default",
			"type" 	=> "select",
			"options" => array(
					'default' => 'Default',
					'blog_style' => 'Blog Style'
			)
		);
		
		$options[] = array( 
			"name" 	=> "Archive Layout Style",
			"desc" 	=> "Choose a style for your homepage layout",
			"id" 	=> $fx . "archive_page_style",
			"std" 	=> "default",
			"type" 	=> "select",
			"options" => array(
					'default' => 'Default',
					'blog_style' => 'Blog Style'
			)
		);
		
		
		/* PERSONALISATION OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Personalisation",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Global Styling",
			"desc" 	=> "",
			"type" 	=> "info"
		);
		
		$options[] = array( 
			"name" 	=> "Custom Background",
			"desc" 	=> "Customize your site background.",
			"id" 	=> $fx . "custom_background",
			"std" 	=> $default_background,
			"type" 	=> "background"
		);
		
		$options[] = array( 
			"name" 	=> "Highlight Background Color",
			"desc" 	=> "Choose a color for the background selection/highlight.",
			"id" 	=> $fx . "highlight_background",
			"std" 	=> "#000000",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Highlight Text Color",
			"desc" 	=> "Choose a color for the selection/highlight text.",
			"id" 	=> $fx . "highlight_text_color",
			"std" 	=> "#ffffff",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Link Color",
			"desc" 	=> "Link color",
			"id" 	=> $fx . "link_color",
			"std" 	=> "#f79100",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Link Hover Color",
			"desc" 	=> "Link hover color",
			"id" 	=> $fx . "link_hover_color",
			"std" 	=> "#f79100",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Header Area",
			"desc" 	=> "",
			"type" 	=> "info"
		);
		
		$options[] = array( 
			"name" 	=> "Header Background",
			"desc" 	=> "Change the background of your header area.",
			"id" 	=> $fx . "header_background",
			"std" 	=> $default_background,
			"type" 	=> "background"
		);
		
		$options[] = array( 
			"name" 	=> "Top Border Color",
			"desc" 	=> "Choose a color for the top border of your site.",
			"id" 	=> $fx . "top_border_color",
			"std" 	=> "#222222",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Site Title Color",
			"desc" 	=> "Your site title color if not using logo image",
			"id" 	=> $fx . "site_title_color",
			"std" 	=> "#ffffff",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Site Title Hover Color",
			"desc" 	=> "Your site title link hover color",
			"id" 	=> $fx . "site_title_hover_color",
			"std" 	=> "#ffffff",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Site Description Color",
			"desc" 	=> "Your site description color",
			"id" 	=> $fx . "site_desc_color",
			"std" 	=> "#cccccc",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Footer Area",
			"desc" 	=> "",
			"type" 	=> "info"
		);
		
		$options[] = array( 
			"name" 	=> "Footer Background",
			"desc" 	=> "Change the background of your footer area.",
			"id" 	=> $fx . "footer_background",
			"std" 	=> $default_background,
			"type" 	=> "background"
		);	
		
		$options[] = array( 
			"name" 	=> "Footer List Border Color",
			"desc" 	=> "Some widgets list in your footer area has a border, specify the color of border here.",
			"id" 	=> $fx . "footer_list_border_color",
			"std" 	=> "#444444",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Footer Text Color",
			"desc" 	=> "If you change the background of footer area, you may need an appropriate color for your footer. Choose the right color.",
			"id" 	=> $fx . "footer_text_color",
			"std" 	=> "#888888",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Footer Link Color",
			"desc" 	=> "Choose a color for footer area link",
			"id" 	=> $fx . "footer_link_color",
			"std" 	=> "#cccccc",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Footer Link Hover Color",
			"desc" 	=> "Choose a color for footer area link hover",
			"id" 	=> $fx . "footer_link_hover_color",
			"std" 	=> "#ffffff",
			"type" 	=> "color"
		);
		
		/* TYPOGRAPHY OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Typography",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Body Text",
			"desc" 	=> "",
			"id" 	=> $fx . "body_text",
			"std" 	=> array('size' => '12px','face' => 'arial', 'style' => 'normal','color' => '#666666'),
			"type" 	=> "typography"
		);
		
		$options[] = array( 
			"name" 	=> "Heading Font",
			"desc" 	=> "",
			"id" 	=> $fx . "heading_font",
			"std" 	=> array('face' => 'arial', 'style' => 'normal','color' => '#454545'),
			"type" 	=> "typography_heading"
		);
		
		$options[] = array( 
			"name" 	=> "Post Title h2 Font Size",
			"desc" 	=> "Specify the size of your post title",
			"id" 	=> $fx . "post_title_size",
			"std" 	=> "14px",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Post Title h2 link color",
			"desc" 	=> "Choose a color for post title link.",
			"id" 	=> $fx . "post_title_link_color",
			"std" 	=> "#454545",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Post Title h2 link hover color",
			"desc" 	=> "Choose a color for post title link hover.",
			"id" 	=> $fx . "post_title_link_hover_color",
			"std" 	=> "#f79100",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Post Title h1 Font Size",
			"desc" 	=> "Specify the size of your single post title.",
			"id" 	=> $fx . "single_post_title_size",
			"std" 	=> "24px",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Post Title h1 color",
			"desc" 	=> "Choose a color for single post title.",
			"id" 	=> $fx . "single_post_title_color",
			"std" 	=> "#454545",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Widget Title Font Size",
			"desc" 	=> "Specify the size of your widget title.",
			"id" 	=> $fx . "widget_title_size",
			"std" 	=> "14px",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Widget Title Color",
			"desc" 	=> "Choose a color for widget title.",
			"id" 	=> $fx . "widget_title_color",
			"std" 	=> "#454545",
			"type" 	=> "color"
		);
		
		$options[] = array( 
			"name" 	=> "Footer Widget Title Color",
			"desc" 	=> "Choose a color for widget title in your footer area.",
			"id" 	=> $fx . "footer_widget_title_color",
			"std" 	=> "#ffffff",
			"type" 	=> "color"
		);
		
		/* CONTENT SETTINGS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Content Settings",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Custom Excerpt Lenght",
			"desc" 	=> "How many words to be displayed on the posts excerpt",
			"id" 	=> $fx . "excerpt_lenght",
			"std" 	=> "25",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Comment Form Heading Text",
			"desc" 	=> "Change your comments form heading text",
			"id" 	=> $fx . "comment_form_heading_text",
			"std" 	=> "Leave a Reply",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Reply Button Label",
			"desc" 	=> "Change your comments reply button label",
			"id" 	=> $fx . "reply_text",
			"std" 	=> "Reply <span>&darr;</span>",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Cancel Reply Link Label",
			"desc" 	=> "Change your comments cancel reply link label",
			"id" 	=> $fx . "cancel_reply_text",
			"std" 	=> "Cancel reply",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Comment Form Button Submit Text",
			"desc" 	=> "Change your comments form submit button label",
			"id" 	=> $fx . "comment_form_button_text",
			"std" 	=> "Post Comment",
			"type" 	=> "text"
		);
		
		/* GALLERY OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Gallery",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Gallery Post Per Page",
			"desc" 	=> "Please determine how many posts/image to be displayed in each page of your gallery.",
			"id" 	=> $fx . "gallery_posts_per_page",
			"std" 	=> "10",
			"type" 	=> "text"
		);
		
		/* PORTFOLIO OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Portfolio",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Portfolio Post Per Page",
			"desc" 	=> "How many posts/image to be displayed on each page of your portfolio page.",
			"id" 	=> $fx . "portfolio_posts_per_page",
			"std" 	=> "10",
			"type" 	=> "text"
		);
		
		/* SLIDER OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Slider Settings",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Enable Slider",
			"desc" 	=> "Check this options to enable homepage slider",
			"id" 	=> $fx . "slider",
			"std" 	=> false,
			"type" 	=> "checkbox"
		);
		
		$options[] = array( 
			"name" 	=> "Slider Tag",
			"desc" 	=> "Select a tag for your slider",
			"id" 	=> $fx . "slider_tag",
			"std" 	=> "",
			"type" 	=> "select",
			"options" => $options_tags
		);
		
		$options[] = array( 
			"name" 	=> "Slider Posts Number",
			"desc" 	=> "Specify how many number of posts to be displayed on your slider.",
			"id" 	=> $fx . "slider_posts_number",
			"std" 	=> "4",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Slide Order By",
			"desc" 	=> "Sort your posts by",
			"id" 	=> $fx . "slider_order_by",
			"std" 	=> "",
			"type" 	=> "select",
			"options" => $order_by_options
		);
		
		$options[] = array( 
			"name" 	=> "Slide Order",
			"desc" 	=> "Change the sort order of the slider posts",
			"id" 	=> $fx . "slider_order",
			"std" 	=> "",
			"type" 	=> "select",
			"options" => $order_options
		);
		
		$options[] = array( 
			"name" 	=> "Enable Slide Content",
			"desc" 	=> "Do you want to display the slide content ? check this option to enable the slide content",
			"id" 	=> $fx . "slide_content",
			"std" 	=> true,
			"type" 	=> "checkbox"
		);
		
		$options[] = array( 
			"name" 	=> "Slide Content Excerpt Lenght",
			"desc" 	=> "How many words to be displayed on the slide content",
			"id" 	=> $fx . "slide_content_lenght",
			"std" 	=> "20",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Slide Animation",
			"desc" 	=> "Select your animation type.",
			"id" 	=> $fx . "slide_animation",
			"std" 	=> "fade",
			"type" 	=> "select",
			"options" => array( "fade" => "Fade", "slide" => "Slide" )
		);
		
		$options[] = array( 
			"name" 	=> "Slide Interval",
			"desc" 	=> "Determine how long the delay time before moving to the next slide",
			"id" 	=> $fx . "slide_interval",
			"std" 	=> "7000",
			"type" 	=> "text"
		);
		
		/* NEWSTICKER OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Newsticker",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Enable Newsticker",
			"desc" 	=> "Show a newsticker in the homepage.",
			"id" 	=> $fx . "newsticker",
			"std" 	=> true,
			"type" 	=> "checkbox"
		);
		
		$options[] = array( 
			"name" 	=> "Newsticker Category",
			"desc" 	=> "Choose a category or ignore this option to display all posts",
			"id" 	=> $fx . "newsticker_cat",
			"std" 	=> "",
			"type" 	=> "select",
			"options" => $options_categories
		);
		
		$options[] = array( 
			"name" 	=> "Newsticker Post Number",
			"desc" 	=> "Leave it blank if you want to display all posts",
			"id" 	=> $fx . "newsticker_number",
			"std" 	=> "",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Newsticker Order By",
			"desc" 	=> "Sort your posts by",
			"id" 	=> $fx . "newsticker_order_by",
			"std" 	=> "",
			"type" 	=> "select",
			"options" => $order_by_options
		);
		
		$options[] = array( 
			"name" 	=> "Newsticker Order",
			"desc" 	=> "Change the sort order of the newsticker posts",
			"id" 	=> $fx . "newsticker_order",
			"std" 	=> "",
			"std" 	=> "",
			"type" 	=> "select",
			"options" => $order_options
		);
		
		/* CONTACT OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Contact",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Contact Email",
			"desc" 	=> "Enter your email address for your contact form page.",
			"id" 	=> $fx . "contact_email",
			"std" 	=> get_option('admin_email '),
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Button Text",
			"desc" 	=> "Contact form submit button label",
			"id" 	=> $fx . "contact_button_text",
			"std" 	=> "Send Email",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Success Message",
			"desc" 	=> "Congratulation message when the form has successfuly submited.",
			"id" 	=> $fx . "contact_success",
			"std" 	=> "Your email was successfully sent. I will be in touch soon.",
			"type" 	=> "textarea"
		);
		
		$options[] = array( 
			"name" 	=> "Error Message",
			"desc" 	=> "Error message when the form has an error",
			"id" 	=> $fx . "contact_error",
			"std" 	=> "There was an error submitting the form.",
			"type" 	=> "textarea"
		);
		
		$options[] = array( 
			"name" 	=> "Name Error Message",
			"desc" 	=> "Message for incorrect name input",
			"id" 	=> $fx . "contact_name_error",
			"std" 	=> "You forgot to enter your name.",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Email Error Message",
			"desc" 	=> "Message for incorrect email input",
			"id" 	=> $fx . "contact_email_error",
			"std" 	=> "You forgot to enter your email address.",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Email Invalid Message",
			"desc" 	=> "Message for invalid email input",
			"id" 	=> $fx . "contact_email_invalid",
			"std" 	=> "You entered an invalid email address.",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Comments Error Message",
			"desc" 	=> "Message for incorrect comment input",
			"id" 	=> $fx . "contact_comments_error",
			"std" 	=> "You forgot to enter your comments.",
			"type" 	=> "text"
		);
		
		/* NAVIGATION OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Navigation",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Page Navigation",
			"desc" 	=> "",
			"type" 	=> "info"
		);
		
		$options[] = array( 
			"name" 	=> "Page Navigation Style",
			"desc" 	=> "Choose a page navigation style.",
			"id" 	=> $fx . "pagenavi_style",
			"std" 	=> "default",
			"type" 	=> "select",
			"options" => array(
				"default" => "Default Page Navigation",
				"numbered" => "Numbered Page Navigation"
			)
		);
		
		$options[] = array( 
			"name" 	=> "Always Show Page Navigation ?",
			"desc" 	=> "Show navigation even if there's only one page.",
			"id" 	=> $fx . "pagenavi_always_show",
			"std" 	=> false,
			"type" 	=> "checkbox"
		);
		
		$options[] = array( 
			"name" 	=> "Text For Number Of Pages",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_pages_text",
			"std" 	=> "Page %CURRENT_PAGE% of %TOTAL_PAGES%",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Text For First Page",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_first_text",
			"std" 	=> "&laquo; First",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Text For Last Page",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_last_text",
			"std" 	=> "Last &raquo;",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Text For Previous Page",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_prev_text",
			"std" 	=> "&laquo; Previous",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Text For Next Page",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_next_text",
			"std" 	=> "Next &raquo;",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Text For Previous ...",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_dotright_text",
			"std" 	=> "...",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Text For Next ...",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_dotleft_text",
			"std" 	=> "...",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Number Of Pages To Show",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_num_pages",
			"std" 	=> "5",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Show Larger Page Numbers In Multiples Of",
			"desc" 	=> "",
			"id" 	=> $fx . "pagenavi_larger_page_numbers_multiple",
			"std" 	=> "5",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Breadcrumbs",
			"desc" 	=> "",
			"type" 	=> "info"
		);
		
		$options[] = array( 
			"name" 	=> "Home Text",
			"desc" 	=> "",
			"id" 	=> $fx . "breadcrumbs_home_text",
			"std" 	=> "Home",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Separator",
			"desc" 	=> "",
			"id" 	=> $fx . "breadcrumbs_sep",
			"std" 	=> "&raquo;",
			"type" 	=> "text"
		);
		
		/* BANNER OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Top Banner",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Enable Top Banner",
			"desc" 	=> "Uncheck this option if you wish to not display the top banner ad on your site.",
			"id" 	=> $fx . "top_banner",
			"std" 	=> true,
			"type" 	=> "checkbox"
		);
		
		$options[] = array( 
			"name" 	=> "Top Banner Code",
			"desc" 	=> "Put your advertising code here, you might put the ad code from GoogleAdsense or feel free to create your own ad code using HTML tags.",
			"id" 	=> $fx . "top_banner_code",
			"std" 	=> "<a href='#' title=''><img src='".$dir."/images/ads/banner-ad.gif' width='468' height='60' alt=''/></a>",
			"type" 	=> "textarea"
		);
		
		/* SOCIAL OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Social Connections",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Dribbble",
			"desc" 	=> "",
			"id" 	=> $fx . "social_dribbble",
			"std" 	=> "",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Facebook",
			"desc" 	=> "",
			"id" 	=> $fx . "social_facebook",
			"std" 	=> "",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Google Plus",
			"desc" 	=> "",
			"id" 	=> $fx . "social_google",
			"std" 	=> "",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Linkedin",
			"desc" 	=> "",
			"id" 	=> $fx . "social_linkedin",
			"std" 	=> "",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "RSS",
			"desc" 	=> "",
			"id" 	=> $fx . "social_rss",
			"std" 	=> "",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Stumbleupon",
			"desc" 	=> "",
			"id" 	=> $fx . "social_stumble",
			"std" 	=> "",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Twitter",
			"desc" 	=> "",
			"id" 	=> $fx . "social_twitter",
			"std" 	=> "",
			"type" 	=> "text"
		);
		
		/* MISC OPTIONS -------------------------------------------------------------------------- */
		
		$options[] = array( 
			"name" 	=> "Miscellaneous",
			"type" 	=> "heading"
		);
		
		$options[] = array( 
			"name" 	=> "Search Form Input Text",
			"desc" 	=> "Default text value for your search form.",
			"id" 	=> $fx . "searchform_text",
			"std" 	=> "Search this site...",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Search Form Button Text",
			"desc" 	=> "Change your search form button labe;",
			"id" 	=> $fx . "searchform_button_text",
			"std" 	=> "Search",
			"type" 	=> "text"
		);
		
		$options[] = array( 
			"name" 	=> "Footer Text",
			"desc" 	=> "Put some nice words here, it will be in your site info footer.",
			"id" 	=> $fx . "footer_text",
			"std" 	=> "",
			"type" 	=> "textarea"
		);
		
		
		return $options;
	}

?>