<?php 
/** 
 *	Aero Breadcrumbs
 * 	---------------------------------------------------------------------------
 *	@author 	Rifki Aria Gumelar
 *	@link		www.my-themes.com
 *	@copyright	Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
	function aero_breadcrumbs() {
	
		$delimiter = '<span class="sep">'.aero_get_option('breadcrumbs_sep').'</span>';
		$home = aero_get_option('breadcrumbs_home_text'); // text for the 'Home' link
		$before = '<span class="current">'; // tag before the current crumb
		$after = '</span>'; // tag after the current crumb
 
		// if is home page.
		if (is_home()) {
			
			echo '<div id="breadcrumbs">';
			echo "<strong>".$_SERVER['SERVER_NAME']."</strong>: ";
			bloginfo('description');
			echo '</div>';
			
		} else {
		
			if ( !is_home() && !is_front_page() || is_paged() ) {
				echo '<div id="breadcrumbs">';
				global $post;
				$homeLink = home_url();
				echo '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
			}
			
			// if is category archive.
			if ( is_category() ) {
				global $wp_query;
				$cat_obj = $wp_query->get_queried_object();
				$thisCat = $cat_obj->term_id;
				$thisCat = get_category($thisCat);
				$parentCat = get_category($thisCat->parent);
				if ($thisCat->parent != 0) echo( get_category_parents( $parentCat, true, ' ' . $delimiter . ' '));
				echo $before . 'Archive by category "' . single_cat_title('', false) . '"' . $after;
			
			// if is post format archive
			} elseif ( is_tax( 'portfolio_type') ) {
				$taxonomy = get_taxonomy ( get_query_var('taxonomy') );
				$term = get_query_var('term');
				echo $before . $taxonomy->label . ' "' . $term. '"' . $after;
				
			// is search result.
			} elseif ( is_search() ) {
				echo $before . 'Search results for "' . get_search_query() . '"' . $after;
 
			// if is daily archive.
			} elseif ( is_day() ) {
				echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
				echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
				echo $before . get_the_time('d') . $after;
 
 			// if is monthly archive.
			} elseif ( is_month() ) {
				echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
				echo $before . get_the_time('F') . $after;
			
			// if is yearly archive.
			} elseif ( is_year() ) {
				echo $before . get_the_time('Y') . $after;
 
			// if is single but not attachment.
			} elseif ( is_single() && !is_attachment() ) {
				if ( get_post_type() != 'post' ) {
					$post_type = get_post_type_object(get_post_type());
					$slug = $post_type->rewrite;
					echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a> ' . $delimiter . ' ';
					echo $before . get_the_title() . $after;
				} else {
					$cat = get_the_category(); $cat = $cat[0];
					echo get_category_parents($cat, true, ' ' . $delimiter . ' ');
					echo $before . get_the_title() . $after;
				}
 
			} elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
				$post_type = get_post_type_object(get_post_type());
				echo $before . $post_type->labels->singular_name . $after;
 
			// if attachment
			} elseif ( is_attachment() ) {
				$parent = get_post($post->post_parent);
				echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a> ' . $delimiter . ' ';
				echo $before . get_the_title() . $after;
			
			// is page 
			} elseif ( is_page() && !$post->post_parent ) {
				echo $before . get_the_title() . $after;
 
			// is parent page.
			} elseif ( is_page() && $post->post_parent ) {
				$parent_id  = $post->post_parent;
				$breadcrumbs = array();
				while ($parent_id) {
					$page = get_page($parent_id);
					$breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
					$parent_id  = $page->post_parent;
				}
				$breadcrumbs = array_reverse($breadcrumbs);
				foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
				echo $before . get_the_title() . $after;
			
			// if is tags
			} elseif ( is_tag() ) {
				echo $before . 'Posts tagged "' . single_tag_title('', false) . '"' . $after;
 			
			// if is author
			} elseif ( is_author() ) {
				global $author;
				$userdata = get_userdata($author);
				echo $before . 'Articles posted by ' . $userdata->display_name . $after;
 			
			// if 404
			} elseif ( is_404() ) {
				echo $before . 'Error 404' . $after;
			
			// if is post format archive
			} elseif ( is_tax( 'post_format') ) {
				echo $before . 'Archive "' . ucwords( get_post_format() ) . '" post format' . $after;
			}
						
			// if is paged
			if ( get_query_var('paged') ) {
				if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() || is_tax( 'post_format') ) echo ' (';
					echo __(' Page ', TXTDOMAIN) . ' ' . get_query_var('paged');
				if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() || is_tax( 'post_format') ) echo ')';
			}

			echo '</div><!--#breadcrumbs-->';
			
		}
	}

?>