(function() {
    // create Shortcodes plugin
    tinymce.create("tinymce.plugins.aeroShortcodes", {
        init: function(ed, url) {
            ed.addCommand("aeroPopup", function(a, params) {
                var popup = params.identifier;

                // load thickbox
                tb_show("Insert Shortcode", url + "/popup.php?popup=" + popup + "&width=" + 800);
            });
        },
        createControl: function(btn, e) {
            if (btn == "aero_button") {
                var a = this;

                // adds the tinymce button
                btn = e.createMenuButton("aero_button", {
                    title: "Insert Shortcode",
                    image: "../wp-content/themes/confidence/aero/images/sc-icon.png",
                    icons: false
                });

                // adds the dropdown to the button
                btn.onRenderMenu.add(function(c, b) {
					a.addWithPopup( b, "Accordion", "accordion" );
					a.addWithPopup( b, "Audio", "audio" );
					a.addWithPopup( b, "Button", "button" );
					a.addWithPopup( b, "Box", "box" );
					a.addWithPopup( b, "Columns", "columns" );
					a.addWithPopup( b, "Dropcap", "dropcap" );
					a.addWithPopup( b, "Divider", "divider" );
					a.addWithPopup( b, "Tabs", "tabs" );
                });

                return btn;
            }

            return null;
        },
        addWithPopup: function(ed, title, id) {
            ed.add({
                title: title,
                onclick: function() {
                    tinyMCE.activeEditor.execCommand("aeroPopup", false, {
                        title: title,
                        identifier: id
                    })
                    }
            })
            },
        addImmediate: function(ed, title, sc) {
            ed.add({
                title: title,
                onclick: function() {
                    tinyMCE.activeEditor.execCommand("mceInsertContent", false, sc)
                    }
            })
            },
        getInfo: function() {
            return {
                longname: 'Aero Shortcodes',
                author: 'Rifki Aria Gumelar',
                authorurl: 'http://themeforest.net/user/rifki/',
                infourl: 'http://wiki.moxiecode.com/',
                version: "1.0"
            }
        }
    });

    // add Shortcodes plugin
    tinymce.PluginManager.add("aeroShortcodes", tinymce.plugins.aeroShortcodes);
})();