<?php
/** 
 *	TINYMCE CLASS
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */

	class aero_tinymce {	

		function __construct() {
			add_action('admin_init', array( &$this, 'aero_head' ));
			add_action('init', array( &$this, 'aero_tinymce_rich_buttons' ));
			add_action('admin_print_scripts', array( &$this, 'aero_quicktags' ));
		}
	
		function aero_head() {
			// style
			wp_enqueue_style( 'aero-popup', AERO_FRAMEWORK_DIRECTORY . 'stylesheets/popup.css', false, AERO_FRAMEWORK_VERSION, 'all' );
		
			// scripts
			wp_enqueue_script( 'jquery-ui-sortable' );
			wp_enqueue_script( 'jquery-livequery', AERO_FRAMEWORK_DIRECTORY . 'javascripts/jquery.livequery.js', false, '1.1.1', false );
			wp_enqueue_script( 'jquery-appendo', AERO_FRAMEWORK_DIRECTORY . 'javascripts/jquery.appendo.js', false, '1.0', false );
			wp_enqueue_script( 'base64', AERO_FRAMEWORK_DIRECTORY . 'javascripts/base64.js', false, '1.0', false );
			wp_enqueue_script( 'aero-popup', AERO_FRAMEWORK_DIRECTORY . 'javascripts/popup.js', false, AERO_FRAMEWORK_VERSION, false );
		}

		function aero_tinymce_rich_buttons() {
		
			if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
				return;
	
			if ( get_user_option('rich_editing') == 'true' ) {
				add_filter( 'mce_external_plugins', array( &$this, 'aero_add_rich_plugins' ) );
				add_filter( 'mce_buttons', array( &$this, 'aero_register_rich_buttons' ) );
			}
		}
	
		function aero_add_rich_plugins( $plugin_array ) {
			$plugin_array['aeroShortcodes'] = AERO_FRAMEWORK_DIRECTORY . 'shortcodes/plugin.js';
			return $plugin_array;
		}
	
		function aero_register_rich_buttons( $buttons ) {
			array_push( $buttons, "|", 'aero_button' );
			return $buttons;
		}
	
		function aero_quicktags() {
			// wp_enqueue_script( 'aero_quicktags', AERO_FRAMEWORK_DIRECTORY . 'shortcodes/javascripts/wizylabs_quicktags.js', array('quicktags') );
		}
	
	}

?>