<?php
/** 
 *	300x250 Advertisement Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_aero_ad300_widget' );

	function register_aero_ad300_widget() {
		register_widget( 'aero_ad300_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class aero_ad300_widget extends WP_Widget {
		
		/* Constructor */
		function aero_ad300_widget() {
			$widget_ops = array( 'classname' => 'ad300-widget', 'description' => __('A widget to display medium rectangle (300x250) advertisement.', TXTDOMAIN) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'aero-ad300-widget' );
			$this->WP_Widget( 'aero-ad300-widget', 'Medium Rectangle (300x250) Ad', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title	 = apply_filters('widget_title', $instance['title'] );
			$ad_image = $instance['ad_image'];
			$ad_url = $instance['ad_url'];
		
			echo $before_widget . "\n";
			if ( $title )
			echo $before_title . $title . $after_title . "\n"; 
		
			echo '<div class="ad ad-unit-300">' . "\n"; 
			
			if ($ad_url)
			echo '<a href="' . $ad_url . '"><img src="' . $ad_image . '" width="300" height="250" alt="" /></a>';
			
			elseif ($ad_image)
		 	echo '<img src="' . $ad_image . '" width="300" height="250" alt="" />';
			
			echo '</div>' . "\n";  	
		
			echo $after_widget . "\n\n";
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['ad_image'] = $new_instance['ad_image'];
			$instance['ad_url'] = $new_instance['ad_url'];
			
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => '',
				'ad_image' => '',
				'ad_url' => '',
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_image' ); ?>"><?php _e('Ad Image URL:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_image' ); ?>" name="<?php echo $this->get_field_name( 'ad_image' ); ?>" value="<?php echo $instance['ad_image']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_url' ); ?>"><?php _e('Ad Destination URL:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_url' ); ?>" name="<?php echo $this->get_field_name( 'ad_url' ); ?>" value="<?php echo $instance['ad_url']; ?>" />
			</p>
			
			<?php 
		}
		
	}
 
?>