<?php
/** 
 *	125x125 Advertisements Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_aero_ads125_widget' );

	function register_aero_ads125_widget() {
		register_widget( 'aero_ads125_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class aero_ads125_widget extends WP_Widget {
		
		/* Constructor */
		function aero_ads125_widget() {
			$widget_ops = array( 'classname' => 'ads125-widget', 'description' => __('A widget to display button (125x125) advertisement.', TXTDOMAIN) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'aero-ads125-widget' );
			$this->WP_Widget( 'aero-ads125-widget', 'Button (125x125) Ads', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title	 = apply_filters('widget_title', $instance['title'] );
			$ad_image1 = $instance['ad_image1'];
			$ad_image2 = $instance['ad_image2'];
			$ad_image3 = $instance['ad_image3'];
			$ad_image4 = $instance['ad_image4'];
			$ad_image5 = $instance['ad_image5'];
			$ad_image6 = $instance['ad_image6'];
			
			$ad_url1 = $instance['ad_url1'];
			$ad_url2 = $instance['ad_url2'];
			$ad_url3 = $instance['ad_url3'];
			$ad_url4 = $instance['ad_url4'];
			$ad_url5 = $instance['ad_url5'];
			$ad_url6 = $instance['ad_url6'];
		
			echo $before_widget . "\n";
			if ( $title )
			echo $before_title . $title . $after_title . "\n"; 
		
			echo '<div class="ad ad-unit-125">';
				echo '<ul class="ad125 clearfix">';
		
				/* Display Ad 1. */
				if ( $ad_url1 )
					$ads[] = '<li><a href="' . $ad_url1 . '"><img src="' . $ad_image1 . '" width="125" height="125" alt="" /></a></li>';
				elseif ( $ad_image1 )
					$ads[] = '<li><img src="' . $ad_image1 . '" width="125" height="125" alt="" /></li>';
		
				/* Display Ad 2. */
				if ( $ad_url2 )
					$ads[] = '<li><a href="' . $ad_url2 . '"><img src="' . $ad_image2 . '" width="125" height="125" alt="" /></a></li>';
				elseif ( $ad_image2 )
					$ads[] = '<li><img src="' . $ad_image2 . '" width="125" height="125" alt="" /></li>';
			
				/* Display Ad 3. */
				if ( $ad_url3 )
					$ads[] = '<li><a href="' . $ad_url3 . '"><img src="' . $ad_image3 . '" width="125" height="125" alt="" /></a></li>';
				elseif ( $ad_image3 )
					$ads[] = '<li><img src="' . $ad_image3 . '" width="125" height="125" alt="" /></li>';
			
				/* Display Ad 4. */
				if ( $ad_url4 )
					$ads[] = '<li><a href="' . $ad_url4 . '"><img src="' . $ad_image4 . '" width="125" height="125" alt="" /></a></li>';
				elseif ( $ad_image4 )
					$ads[] = '<li><img src="' . $ad_image4 . '" width="125" height="125" alt="" /></li>';
			
				/* Display Ad 5. */
				if ( $ad_url5 )
					$ads[] = '<li><a href="' . $ad_url5 . '"><img src="' . $ad_image5 . '" width="125" height="125" alt="" /></a></li>';
				elseif ( $ad_image5 )
					$ads[] = '<li><img src="' . $ad_image5 . '" width="125" height="125" alt="" /></li>';
			
				/* Display Ad 6. */
				if ( $ad_url6 )
					$ads[] = '<li><a href="' . $ad_url6 . '"><img src="' . $ad_image6 . '" width="125" height="125" alt="" /></a></li>';
				elseif ( $ad_image6 )
					$ads[] = '<li><img src="' . $ad_image6 . '" width="125" height="125" alt="" /></li>';
		
				//Display ads
				foreach($ads as $ad){
					echo $ad;
				}
		
				echo '</ul>';
			echo '</div>'; 	
		
			echo $after_widget . "\n\n";
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['ad_image1'] = $new_instance['ad_image1'];
			$instance['ad_image2'] = $new_instance['ad_image2'];
			$instance['ad_image3'] = $new_instance['ad_image3'];
			$instance['ad_image4'] = $new_instance['ad_image4'];
			$instance['ad_image5'] = $new_instance['ad_image5'];
			$instance['ad_image6'] = $new_instance['ad_image6'];

			$instance['ad_url1'] = $new_instance['ad_url1'];
			$instance['ad_url2'] = $new_instance['ad_url2'];
			$instance['ad_url3'] = $new_instance['ad_url3'];
			$instance['ad_url4'] = $new_instance['ad_url4'];
			$instance['ad_url5'] = $new_instance['ad_url5'];
			$instance['ad_url6'] = $new_instance['ad_url6'];
			
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => 'Our Sponsors',
				'ad_image1' => '',
				'ad_url1' => '',
				'ad_image2' => '',
				'ad_url2' => '',
				'ad_image3' => '',
				'ad_url3' => '',
				'ad_image4' => '',
				'ad_url4' => '',
				'ad_image5' => '',
				'ad_url5' => '',
				'ad_image6' => '',
				'ad_url6' => '',
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>

			<p>
				<label for="<?php echo $this->get_field_id( 'ad_image1' ); ?>"><?php _e('Ad 1 image url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_image1' ); ?>" name="<?php echo $this->get_field_name( 'ad_image1' ); ?>" value="<?php echo $instance['ad_image1']; ?>" />
			</p>

			<p>
				<label for="<?php echo $this->get_field_id( 'ad_url1' ); ?>"><?php _e('Ad 1 link url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_url1' ); ?>" name="<?php echo $this->get_field_name( 'ad_url1' ); ?>" value="<?php echo $instance['ad_url1']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_image2' ); ?>"><?php _e('Ad 2 image url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_image2' ); ?>" name="<?php echo $this->get_field_name( 'ad_image2' ); ?>" value="<?php echo $instance['ad_image2']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_url2' ); ?>"><?php _e('Ad 2 link url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_url2' ); ?>" name="<?php echo $this->get_field_name( 'ad_url2' ); ?>" value="<?php echo $instance['ad_url2']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_image3' ); ?>"><?php _e('Ad 3 image url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_image3' ); ?>" name="<?php echo $this->get_field_name( 'ad_image3' ); ?>" value="<?php echo $instance['ad_image3']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_url3' ); ?>"><?php _e('Ad 3 link url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_url3' ); ?>" name="<?php echo $this->get_field_name( 'ad_url3' ); ?>" value="<?php echo $instance['ad_url3']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_image4' ); ?>"><?php _e('Ad 4 image url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad4' ); ?>" name="<?php echo $this->get_field_name( 'ad_image4' ); ?>" value="<?php echo $instance['ad_image4']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_url4' ); ?>"><?php _e('Ad 4 link url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_url4' ); ?>" name="<?php echo $this->get_field_name( 'ad_url4' ); ?>" value="<?php echo $instance['ad_url4']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_image5' ); ?>"><?php _e('Ad 5 image url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_image5' ); ?>" name="<?php echo $this->get_field_name( 'ad_image5' ); ?>" value="<?php echo $instance['ad_image5']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_url5' ); ?>"><?php _e('Ad 5 link url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_url5' ); ?>" name="<?php echo $this->get_field_name( 'ad_url5' ); ?>" value="<?php echo $instance['ad_url5']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_image6' ); ?>"><?php _e('Ad 6 image url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_image6' ); ?>" name="<?php echo $this->get_field_name( 'ad_image6' ); ?>" value="<?php echo $instance['ad_image6']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'ad_url6' ); ?>"><?php _e('Ad 6 link url:', 'framework') ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'ad_url6' ); ?>" name="<?php echo $this->get_field_name( 'ad_url6' ); ?>" value="<?php echo $instance['ad_url6']; ?>" />
			</p>
			
			<?php 
		}
		
	}
 
?>