<?php
/** 
 *	Custom Popular Posts Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_aero_popular_posts_widget' );

	function register_aero_popular_posts_widget() {
		register_widget( 'aero_popular_posts_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class aero_popular_posts_widget extends WP_Widget {
	
		/* Constructor */
		function aero_popular_posts_widget() {
			$widget_ops = array( 'classname' => 'popular-posts-widget', 'description' => __('A widget to display your popular posts.', TXTDOMAIN) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'aero-popular-posts-widget' );
			$this->WP_Widget( 'aero-popular-posts-widget', 'Popular Posts Widget', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title = apply_filters('widget_title', $instance['title'] );
			$posts_number = $instance['posts_number'];
		
			echo $before_widget . "\n";
			if ( $title )
			echo $before_title . $title . $after_title . "\n"; ?> 

			<div class="entry-list clearfix">
				<ul>
				<?php query_posts('showposts='.$posts_number.'&orderby=comment_count'); ?>
				<?php while ( have_posts() ) : the_post(); ?>
				<?php aero_print_entry_list(); ?>
				<?php endwhile; ?>
				<?php wp_reset_query(); ?>
				</ul>
			</div>
			
		<?php echo $after_widget . "\n\n";
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['posts_number'] = $new_instance['posts_number'];
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => 'Popular Posts',
				'posts_number' => '4',
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', TXTDOMAIN ) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'posts_number' ); ?>"><?php _e('Posts Number:', TXTDOMAIN ) ?></label>
				<input type="number" class="widefat" id="<?php echo $this->get_field_id( 'posts_number' ); ?>" name="<?php echo $this->get_field_name( 'posts_number' ); ?>" value="<?php echo $instance['posts_number']; ?>" />
			</p>
			
			<?php 
		}
	}
	