<?php
/** 
 *	Custom Recent Video
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_aero_recent_audio_widget' );

	function register_aero_recent_audio_widget() {
		register_widget( 'aero_recent_audio_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class aero_recent_audio_widget extends WP_Widget {
	
		/* Constructor */
		function aero_recent_audio_widget() {
			$widget_ops = array( 'classname' => 'recent-audio-widget', 'description' => __('A widget to display your recent audio post.', TXTDOMAIN) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'aero-recent-audio-widget' );
			$this->WP_Widget( 'aero-recent-audio-widget', 'Recent Audio', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title = apply_filters('widget_title', $instance['title'] );
		
			echo $before_widget . "\n";
			if ( $title )
			echo $before_title . $title . $after_title . "\n";

			echo '<div class="audio-widget">' . "\n";
			$query = new WP_Query( array( 'posts_per_page' => 1, 'post_format' => 'post-format-audio' ) );
			while ( $query->have_posts() ) : $query->the_post();
			
			global $post_format_meta;
			$meta_format = get_post_meta(get_the_ID(), $post_format_meta->get_the_id(), true);
			
			/* Metadata variables */
			$format = $meta_format['audio_format'];
			$audio_file = $meta_format['audio_file'];
			$additional_file = '';
			if( isset($meta_format['audio_additional']) ):
				$additional_file = $meta_format['audio_additional'];
			endif;
			
			echo aero_print_audio_player('prefix=widget_audio&file='.$audio_file.'&additional_file='.$additional_file.'&format='.$format);
			
			endwhile; wp_reset_postdata();
			echo '</div>' . "\n";
		
			echo $after_widget . "\n\n";
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => 'Recent Audio',
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', TXTDOMAIN ) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
			
			<?php 
		}
	}
?>