<?php
/** 
 *	Recent From Category Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_aero_catlist_widget' );

	function register_aero_catlist_widget() {
		register_widget( 'aero_catlist_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class aero_catlist_widget extends WP_Widget {
	
		/* Constructor */
		function aero_catlist_widget() {
			$widget_ops = array( 'classname' => 'category-list-widget', 'description' => __('A widget to display your recent post by category.', TXTDOMAIN) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'aero-category-list-widget' );
			$this->WP_Widget( 'aero-category-list-widget', 'Recent from Category', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title = apply_filters('widget_title', $instance['title'] );
			$posts_number = $instance['posts_number'];
			$posts_category = $instance['posts_category'];
		
			echo $before_widget . "\n";
			if ( $title )
			echo $before_title . $title . $after_title . "\n"; ?> 

			<div class="entry-list clearfix">
				<ul>
				<?php query_posts('showposts='.$posts_number.'&cat='.$posts_category); ?>
				<?php while ( have_posts() ) : the_post(); ?>
				<?php aero_print_entry_list(); ?>
				<?php endwhile; ?>
				<?php wp_reset_query(); ?>
				</ul>
			</div>
			
		<?php echo $after_widget . "\n\n";
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['posts_number'] = $new_instance['posts_number'];
			$instance['posts_category'] = $new_instance['posts_category'];
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => '',
				'posts_number' => '4',
				'posts_category' => ''
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', TXTDOMAIN ) ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
		
			<p>
			<label for="<?php echo $this->get_field_id( 'posts_number' ); ?>"><?php _e('Posts Number:', TXTDOMAIN ) ?></label>
			<input type="number" class="widefat" id="<?php echo $this->get_field_id( 'posts_number' ); ?>" name="<?php echo $this->get_field_name( 'posts_number' ); ?>" value="<?php echo $instance['posts_number']; ?>" />
			</p>
		
			<?php $cats_array = get_categories('hide_empty=0'); ?>
			<p>
			<label for="<?php echo $this->get_field_id('posts_category'); ?>">Category</label>
			<select name="<?php echo $this->get_field_name('posts_category'); ?>" id="<?php echo $this->get_field_id('posts_category'); ?>" class="widefat">
				<?php foreach( $cats_array as $category ) { ?>
					<option value="<?php echo $category->cat_ID; ?>"<?php selected( $instance['posts_category'], $category->cat_ID ); ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
			</p> 
			
			<?php 
		}
	}
	