<?php
/** 
 *	Social Counter Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_aero_social_counter_widget' );

	function register_aero_social_counter_widget() {
		register_widget( 'aero_social_counter_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class aero_social_counter_widget extends WP_Widget {
		
		/* Constructor */
		function aero_social_counter_widget() {
			$widget_ops = array( 'classname' => 'social-counter-widget', 'description' => __('A widget to display your RSS subscriber and twitter followers.', TXTDOMAIN) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'aero-social-counter-widget' );
			$this->WP_Widget( 'aero-social-counter-widget', 'Social Counter Widget', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title	 = apply_filters('widget_title', $instance['title'] );
			$twitter_id	= $instance['twitter_id'];
			$feedburner_id = $instance['feedburner_id'];
			
			
			$stats = new SubscriberStats(array(
				'feedBurnerURL' => $feedburner_id,
				'twitterName' => $twitter_id
			));

			echo $before_widget . "\n";
			if ( $title )
			echo $before_title . $title . $after_title . "\n"; 
			$stats->generate();
			echo $after_widget . "\n\n";
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = strip_tags($new_instance['title']);
			$instance['twitter_id'] = strip_tags($new_instance['twitter_id']);
			$instance['feedburner_id'] = strip_tags($new_instance['feedburner_id']);
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => '',
				'feedburner_id' => '',
				'twitter_id' => ''
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'feedburner_id' ); ?>"><?php _e('RSS username:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'feedburner_id' ); ?>" name="<?php echo $this->get_field_name( 'feedburner_id' ); ?>" value="<?php echo $instance['feedburner_id']; ?>" />
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id( 'twitter_id' ); ?>"><?php _e('Twitter Username:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'twitter_id' ); ?>" name="<?php echo $this->get_field_name( 'twitter_id' ); ?>" value="<?php echo $instance['twitter_id']; ?>" />
			</p>
			
			<?php 
		}
		
	}
 
?>