<?php
/** 
 *	Recent Tweets Widget
 * 	---------------------------------------------------------------------------
 *	@author 	: Rifki Aria Gumelar
 *	@version	: 1.0
 *	@link		: http://www.my-themes.com
 *	@copyright	: Copyright (c) 2012, http://www.my-themes.com
 *	--------------------------------------------------------------------------- */
 
/*	Register Widget
 *	---------------------------------------- */
	add_action( 'widgets_init', 'register_aero_tweet_widget' );

	function register_aero_tweet_widget() {
		register_widget( 'aero_tweet_widget' );
	}
 
/*	Widget Class
 *	---------------------------------------- */ 
	class aero_tweet_widget extends WP_Widget {
		
		/* Constructor */
		function aero_tweet_widget() {
			$widget_ops = array( 'classname' => 'tweet-widget', 'description' => __('A widget to display your recent tweets.', TXTDOMAIN) );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'aero-tweet-widget' );
			$this->WP_Widget( 'aero-tweet-widget', 'Recent Tweet Widget', $widget_ops, $control_ops );
		}
		
		/* Widget display */
		function widget( $args, $instance ) {
			extract( $args );

			$title = apply_filters('widget_title', $instance['title'] );
			$tweet_id = $instance['tweet_id'];
			$tweet_count = $instance['tweet_count'];
		
			echo $before_widget  . "\n";
			if ( $title )
			echo $before_title . $title . $after_title  . "\n"; 
		
			if ( $tweet_id )
			echo '<div class="tweet" data-user="'.$tweet_id.'" data-count="'.$tweet_count.'"></div>' . "\n"; ?>
			<script type="text/javascript">
			//<![CDATA[
			jQuery(document).ready(function($){
				$('.tweet').tweet({
					username:'<?php echo $tweet_id; ?>',
					join_text:'auto',
					count:'<?php echo $tweet_count; ?>',
					loading_text:'Load tweets...'
				});
			});
			//]]>
			</script>
			<?php
			echo $after_widget  . "\n\n" ;
		}
		
		/* Update widget settings */
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] 		= strip_tags( $new_instance['title'] );
			$instance['tweet_id']	= strip_tags( $new_instance['tweet_id'] );
			$instance['tweet_count'] = $new_instance['tweet_count'];
			
			return $instance;
		}
		
		/* Widget form */
		function form( $instance ) {
			
			$defaults = array( 
				'title' => 'Recent Tweets',
				'tweet_id' => '',
				'tweet_count' => '5'
			);
			
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'tweet_id' ); ?>"><?php _e('Twitter Username:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'tweet_id' ); ?>" name="<?php echo $this->get_field_name( 'tweet_id' ); ?>" value="<?php echo $instance['tweet_id']; ?>" />
			</p>
		
			<p>
				<label for="<?php echo $this->get_field_id( 'tweet_count' ); ?>"><?php _e('Number of Tweet:', TXTDOMAIN) ?></label>
				<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'tweet_count' ); ?>" name="<?php echo $this->get_field_name( 'tweet_count' ); ?>" value="<?php echo $instance['tweet_count']; ?>" />
			</p>
			
			<?php 
		}
		
	}
 
?>