<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	/* Access to metabox data. */
	global $post_custom_meta, $post_format_meta;
	$meta_format = get_post_meta(get_the_ID(), $post_format_meta->get_the_id(), true);
	$meta_custom = get_post_meta(get_the_ID(), $post_custom_meta->get_the_id(), true);
		
	/* Media settings */
	$width = 580;
	$height = 333;
	$size = $width.'x'.$height;
	$type = '';
	?>

	<header class="entry-header clearfix">
		<h1 class="entry-title"><?php the_title(); ?></h1>
		<div class="entry-meta clearfix">
			<span class="entry-date"><?php _e('Posted on ', TXTDOMAIN) . the_time(get_option('date_format')); ?></span>
			<span class="entry-author"><?php _e('by ', TXTDOMAIN); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php the_author(); ?></a></span>
		</div>
	</header><!-- .entry-header -->

	<?php
	$format = get_post_format(); // get post format.
	switch ($format) {
		case 'audio' :
			
			/* Metadata variable */
			$format = $meta_format['audio_format'];
			$audio_file = $meta_format['audio_file'];
			$additional_file = '';
			if( isset($meta_format['audio_additional']) ):
				$additional_file = $meta_format['audio_additional'];
			endif;
			
				
			echo '<div class="entry-asset clearfix">';
			echo aero_print_thumbnail('size='.$size.'&type='.$type);
			echo '<div class="audio-wrapper">';
			echo aero_print_audio_player('prefix=audio&file='.$audio_file.'&additional_file='.$additional_file.'&format='.$format);
			echo '</div>';
			echo '</div><!--.entry-asset-->';
				
			break;
			
		case 'image' : // if is post format "image".
				
			echo '<div class="entry-asset clearfix">';
			echo aero_print_thumbnail('size=full&type=lightbox');
			echo '</div><!--.entry-asset-->';
				
			break;
			
		case 'video': // if is post format "video".
				
			/* Metadata variables */
			$engine = $meta_format['video_source'];
			$url = $meta_format['video_url'];
			$video_id = aero_get_video_id($url);
				
			echo '<div class="entry-asset clearfix">';
			echo aero_print_video_player('engine='.$engine.'&video_id='.$video_id.'&width='.$width.'&height='.$height);
			echo '</div><!--.entry-asset-->';
				
			break;
			
		default :
			
			if ( $meta_custom['single_featured_image'] == "yes" ) : // if current featured image enabled.
			echo '<div class="entry-asset clearfix">';
			echo aero_print_thumbnail('size='.$size);
			echo '</div><!--.entry-asset-->';
			endif;
			
			break;
	} // end switch.
	?>
	
	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages(array('before' => '<p class="page-link"><strong>'.__('Pages',TXTDOMAIN).':</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
		<?php edit_post_link(__('<p>Edit</p>', TXTDOMAIN)); ?>
	</div><!-- .entry-content -->
						
	<footer class="entry-footer">
		<div class="entry-meta clearfix">
			<?php _e( '<strong>Posted in: </strong>', TXTDOMAIN ); the_category(', '); ?> 
			<br/>
			<?php the_tags('<strong>Tagged: </strong>',', '); ?> 
		</div>
	</footer><!-- .entry-footer -->
	
	<?php if ( $meta_custom['author_box'] == "yes" ) : // if this post ordered to display the author box. ?>
	<div id="author-box" class="clearfix">
		<h4><?php printf( __( 'About the author: <a href="%2$s" rel="author">%1$s</a>', TXTDOMAIN ), get_the_author(), esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ); ?></h4>
		<div class="author-image">
			<?php echo get_avatar( get_the_author_meta('email'), '80' ); ?>
		</div>
		<div class="author-desc">
			<?php 
			printf( __( '<p>%1$s. Follow him on <a href="http://twitter.com/%2$s">Twitter</a> / <a href="http://www.facebook.com/%3$s">Facebook</a>.</p>', TXTDOMAIN ), 
				get_the_author_meta( 'description' ),
				get_user_meta( get_the_author_meta( 'ID' ), 'twitter-username', true),
				get_user_meta( get_the_author_meta( 'ID' ), 'fb-username', true)
			); 
			?>
		</div>
		<div class="clear"></div>
	</div><!-- #author-box -->
	<?php endif; ?>
		
</article><!-- #post-<?php the_ID(); ?> -->