<?php $style= aero_get_option('home_page_style'); ?>
<div id="slider-container" <?php if( $style == 'blog_style') : echo 'class="blog-slider"'; endif; ?>>
	<?php
	/* Slider Settings */
	$slider_tag = aero_get_option('slider_tag');
	$slider_posts_number = aero_get_option('slider_posts_number');
	$slider_order_by = aero_get_option('slider_order_by');
	$slider_order = aero_get_option('slider_order');
	$enable_slide_content = aero_get_option('slide_content');
	$slide_content_lenght = aero_get_option('slide_content_lenght');
	$slide_animation = aero_get_option('slide_animation');
	$slide_interval = aero_get_option('slide_interval');
	
	/* Slider Content Settings */
	if( $style == 'blog_style') :
		$width = 580;
		$height = 333;
	else :
		$width = 590;
		$height = 339;
	endif;
	
	$size = $width.'x'.$height;
	?>
	<div id="slider" class="flexslider" data-animation="<?php echo $slide_animation; ?>"  data-interval="<?php echo $slide_interval; ?>">
		<ul class="slides">
		<?php query_posts( 'posts_per_page='.$slider_posts_number.'&tag='.$slider_tag.'&orderby='.$slider_order_by.'&order='.$slider_order ); ?>
			<?php while ( have_posts() ) :the_post(); ?>
			<li>
				<?php 
				$format = get_post_format(get_the_ID()); // get post format.
				switch ($format) {
					
					case 'video' :
						
						/* Access to metabox data. */
						global $post_format_meta;
						$meta_format = get_post_meta(get_the_ID(), $post_format_meta->get_the_id(), true);
		
						$url = $meta_format['video_url'];
				
						if (isset($url)) :
					
							$engine = $meta_format['video_source'];
							$display = $meta_format['video_display'];
					
							if ( $engine == 'vimeo' ) :
								$title = aero_get_vimeo_data( $url, 'title' );
								$thumb = aero_get_vimeo_data( $url, 'thumbnail_large' );
							else :
								$title = aero_get_youtube_data( $url, 'title' );
								$thumb = aero_get_youtube_data( $url, 'thumbnail' ); 
							endif;
					
							/* Put the image thumbnail */
							if ( $display == 'vthumb' ) : // if this post ordered to display thumbnail from video.
								echo aero_print_video_thumbnail('engine='.$engine.'&video_url='.$url.'&width='.$width.'&height='.$height);
							else : // else
								echo aero_print_thumbnail('size='.$size);
							endif;
					
						else :
				
							echo aero_print_thumbnail('size='.$size);
					
						endif;
				
					break;
						
					default:
					
						echo aero_print_thumbnail('size='.$size);
						
					break;
				}
				?>

				<?php if ( $enable_slide_content == true ) : ?>
				<div class="flex-caption">
					<h1><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', TXTDOMAIN ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
					<p><?php aero_excerpt( $slide_content_lenght ); ?></p>
				</div>
				<?php endif; ?>
			</li>
			
			<?php endwhile; ?>
		<?php wp_reset_query(); ?>
		</ul><!--#slides-->
	</div><!--#slider-->
</div><!--#slider-container-->