<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	/* Access to metabox data. */
	global $post_format_meta;
	$meta_format = get_post_meta(get_the_ID(), $post_format_meta->get_the_id(), true);
		
	/* Post Settings */
	$excerpt_lenght = aero_get_option('excerpt_lenght'); // excerpt lenght.
		
	/* Thumbnail settings */
	$width = 430;
	$height = 247;
	$size = $width.'x'.$height;
	?>
	
	<div class="entry-asset clearfix">
		<?php
		$format = get_post_format(); // get post format.
		$post_format_icon = '<a class="post-format-icon" href="'.get_post_format_link($format).'"><span>'. ucwords($format) .'</span></a>';
				
		switch ($format) {
			
			case 'audio' :
				
				echo "\n" . $post_format_icon . "\n";
				echo aero_print_thumbnail('size='.$size);
				
				break;
			
			case 'image' : // if is post format "image".
				
				echo "\n" . $post_format_icon . "\n";
				echo aero_print_thumbnail('size='.$size.'&type=special');
				
				break;
			
			case 'video': // if is post format "video".
				
				$url = $meta_format['video_url'];
				
				if (isset($url)) :
					
					$engine = $meta_format['video_source'];
					$display = $meta_format['video_display'];
					
					if ( $engine == 'vimeo' ) :
						$title = aero_get_vimeo_data( $url, 'title' );
						$thumb = aero_get_vimeo_data( $url, 'thumbnail_large' );
					else :
						$title = aero_get_youtube_data( $url, 'title' );
						$thumb = aero_get_youtube_data( $url, 'thumbnail' ); 
					endif;
					
					echo "\n" . $post_format_icon . "\n";
					echo '<a class="expander" href="'.$url.'" title="'.$title.'" rel="prettyPhoto"><span>Play</span></a>' . "\n";
				
					/* Put the image thumbnail */
					if ( $display == 'vthumb' ) : // if this post ordered to display thumbnail from video.
						echo aero_print_video_thumbnail('engine='.$engine.'&video_url='.$url.'&width='.$width.'&height='.$height);
					else : // else
						echo aero_print_thumbnail('size='.$size);
					endif;
					
				else :
				
					echo aero_print_thumbnail('size='.$size);
					
				endif;
			
				break;
			
			default : // if is default or standard post format.
				
				echo aero_print_thumbnail('size='.$size.'&type=link');
				
				break;
		} // end switch.
	
		?>
		</div><!-- .entry-asset -->
		
		<header class="entry-header clearfix">
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', TXTDOMAIN ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<div class="entry-meta">
				<span class="meta-author"><?php _e( 'Posted by ', TXTDOMAIN ); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php the_author(); ?></a></span>
				<span class="meta-cats"><?php _e( ' in ', TXTDOMAIN ); the_category(', '); ?></span>
			</div>
		</header><!-- .entry-header -->
				
		<div class="entry-summary clearfix">
			<p><?php aero_excerpt( $excerpt_lenght ); ?></p>	
		</div><!-- .entry-summary -->
		
		<footer class="entry-footer clearfix">		
			<div class="entry-meta">
				<?php if ( comments_open() ) : ?>
				<span class="left meta-comment"><?php comments_popup_link( __( '0 comments', TXTDOMAIN ), _x( '1 comments', TXTDOMAIN ), _x( '% comments', TXTDOMAIN ) ); ?></span>
				<?php else : ?>
				<span class="left meta-comment"><?php _e('Comment off', TXTDOMAIN); ?></span>
				<?php endif; ?>
				<span class="right meta-date"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute( 'echo=0' ); ?>" rel="bookmark"><?php echo human_time_diff( get_the_time('U'), current_time('timestamp') ) . ' ago'; ?></a></span>
			</div>		
		</footer><!--.entry-footer-->
	
	</article><!-- #post-<?php the_ID(); ?> -->