<?php
/* Include WordPress */
header("Content-type: text/css;");
$current_url = dirname(__FILE__);
$wp_content_pos = strpos($current_url, 'wp-content');
$wp_content = substr($current_url, 0, $wp_content_pos);

require_once($wp_content . 'wp-load.php');
?>
/* General 
 * -------------------------------------- */
<?php
$typo_array = array(
	'arial'     => 'Helvetica, Arial, sans-serif',
	'verdana'   => 'Verdana, Geneva, sans-serif',
	'trebuchet' => '"Trebuchet MS", Arial, Helvetica, sans-serif',
	'georgia'   => 'Georgia, "Times New Roman", Times, serif',
	'times'     => '"Times New Roman", Times, serif',
	'tahoma'    => 'Tahoma, Geneva, sans-serif',
	'palatino'  => '"Palatino Linotype", "Book Antiqua", Palatino, serif',
);

$body_text = aero_get_option('body_text');
$heading_font = aero_get_option('heading_font');
$background = aero_get_option('custom_background');
$top_border_color = aero_get_option('top_border_color');

if($background || $top_border_color || $body_text ) {
echo "\nbody{\n";
	foreach( $background as $key=>$val ) {
		if($val) {
			if($key=='color'): echo 'background-color:'.$val.';'."\n"; endif;
			if($key=='image'): echo 'background-image:url('.$val.');'."\n"; endif;
			if($key=='repeat'): echo 'background-repeat:'.$val.';'."\n"; endif;
			if($key=='position'): echo 'background-position:'.$val.';'."\n"; endif;
			if($key=='attachment'): echo 'background-attachment:'.$val.';'."\n"; endif;
		}
	}
	foreach( $body_text as $key=>$val ) {
		if($val) {
			if($key=='size'): echo 'font-size:'.$val.';'."\n"; endif;
			if($key=='face'): echo 'font-family:'.$typo_array[$val].';'."\n"; endif;
			if($key=='style'): echo 'font-style:'.$val.';'."\n"; endif;
			if($key=='color'): echo 'color:'.$val.';'."\n"; endif;
		}
	}
	if ( $top_border_color != '') {
	echo 'border-color:'.$top_border_color.';'."\n";
	}
echo "}\n";		
} ?>
/* Heading
 * -------------------------------------- */
<?php
if ( $heading_font != '') {
echo "\nh1,h2,h3,h4,h5,h6{\n";
	foreach( $heading_font as $key=>$val ) {
		if($val) {
			if($key=='face'): echo 'font-family:'.$typo_array[$val].';'."\n"; endif;
			if($key=='style'): echo 'font-style:'.$val.';'."\n"; endif;
			if($key=='color'): echo 'color:'.$val.';'."\n"; endif;
		}
	}
echo "}\n";
}

$link_color = aero_get_option('link_color');
$link_hover_color = aero_get_option('link_hover_color');

if ( $link_color != '') {
echo "\na,#breadcrumbs a:hover, .entry-title a:hover, .entry-meta a:hover, #newsticker li a:hover{\n";
	echo 'color:'.$link_color.';'."\n";
echo "}\n";	
echo "\ninput[type=submit], button, a.post-format-icon:hover,a.expander:hover, #navigation a:hover, #navigation .pagenavi a:hover, #navigation .pagenavi .current, #comments .reply a.comment-reply-link{\n";
	echo 'background-color:'.$link_color.';'."\n";
echo "}\n";	
echo "\ninput[type=submit], button, #navigation a:hover, #navigation .pagenavi a:hover, #navigation .pagenavi .current, #comments .reply a.comment-reply-link{\n";
	echo 'border-color:'.$link_color.';'."\n";
echo "}\n";	
}

if ( $link_hover_color != '') {
echo "\na:hover{\n";
	echo 'color:'.$link_hover_color.';'."\n";
echo "}\n";
}

?>

/* Highlight
 * -------------------------------------- */
<?php
$highlight_background = aero_get_option('highlight_background');
$highlight_text_color = aero_get_option('highlight_text_color');
if ( $highlight_text_color != '' || $highlight_text_color != '' ) {
echo "\n::selection,::-moz-selection{\n";
	echo 'background:'.$highlight_background.';'."\n";
	echo 'color:'.$highlight_text_color.';'."\n";
echo "}\n";	
}
?>
/* Heading
 * -------------------------------------- */
<?php
$header_background = aero_get_option('header_background');
if($header_background) {
echo "\n#header{\n";
	foreach( $header_background as $key=>$val ) {
		if($val) {
			if($key=='color'): echo 'background-color:'.$val.';'."\n"; endif;
			if($key=='image'): echo 'background-image:url('.$val.');'."\n"; endif;
			if($key=='repeat'): echo 'background-repeat:'.$val.';'."\n"; endif;
			if($key=='position'): echo 'background-position:'.$val.';'."\n"; endif;
			if($key=='attachment'): echo 'background-attachment:'.$val.';'."\n"; endif;
		}
	}
echo "}\n";		
}

$site_title_color = aero_get_option('site_title_color');
$site_title_hover_color = aero_get_option('site_title_hover_color');
$site_desc_color = aero_get_option('site_desc_color');

if ( $site_title_color != '') {
echo "\nh1#site-title, h1#site-title a{\n";
	echo 'color:'.$site_title_color.';'."\n";
echo "}\n";	
}

if ( $site_title_hover_color != '') {
echo "\nh1#site-title a:hover{\n";
	echo 'color:'.$site_title_hover_color.';'."\n";
echo "}\n";	
}

if ( $site_desc_color != '') {
echo "\nh2#site-description{\n";
	echo 'color:'.$site_desc_color.';'."\n";
echo "}\n";	
} ?>
/* Entry Title
 * -------------------------------------- */
<?php
$post_title_size = aero_get_option('post_title_size');
$post_title_link_color = aero_get_option('post_title_link_color');
$post_title_link_hover_color = aero_get_option('post_title_link_hover_color');

if ( $post_title_size != '' ) {
echo "\n.entry .entry-title{\n";
	echo 'font-size:'.$post_title_size.';'."\n";
echo "}\n";	
}

if ( $post_title_link_color != '') {
echo "\n.entry .entry-title a{\n";
	echo 'color:'.$post_title_link_color.';'."\n";
echo "}\n";	
}

if ( $post_title_link_hover_color != '') {
echo "\n.entry .entry-title a:hover{\n";
	echo 'color:'.$post_title_link_hover_color.';'."\n";
echo "}\n";	
}

$single_post_title_size = aero_get_option('single_post_title_size');
$single_post_title_color = aero_get_option('single_post_title_color');

if ( $single_post_title_size != '' || $single_post_title_color != '' ) {
echo "\n.singular-entry .entry-title{\n";
	echo 'font-size:'.$single_post_title_size.';'."\n";
	echo 'color:'.$single_post_title_color.';'."\n";
echo "}\n";	
}
?> 
/* Widget Title
 * -------------------------------------- */
<?php
$widget_title_size = aero_get_option('widget_title_size');
$widget_title_color = aero_get_option('widget_title_color');

if ( $widget_title_size != '' || $widget_title_color != '' ) {
echo "\n.widget-title{\n";
	echo 'font-size:'.$widget_title_size.';'."\n";
	echo 'color:'.$widget_title_color.';'."\n";
echo "}\n";	
}
?> 
/* Footer
 * -------------------------------------- */
<?php
$footer_background = aero_get_option('footer_background');
if($footer_background) {
echo "\n#footer-container{\n";
	foreach( $footer_background as $key=>$val ) {
		if($val) {
			if($key=='color'): echo 'background-color:'.$val.';'."\n"; endif;
			if($key=='image'): echo 'background-image:url('.$val.');'."\n"; endif;
			if($key=='repeat'): echo 'background-repeat:'.$val.';'."\n"; endif;
			if($key=='position'): echo 'background-position:'.$val.';'."\n"; endif;
			if($key=='attachment'): echo 'background-attachment:'.$val.';'."\n"; endif;
		}
	}
echo "}\n";		
}

$footer_text_color = aero_get_option('footer_text_color');
$footer_link_color = aero_get_option('footer_link_color');
$footer_link_hover_color = aero_get_option('footer_link_hover_color');
$footer_list_border_color = aero_get_option('footer_list_border_color');

$footer_widget_title_color = aero_get_option('footer_widget_title_color');

if ( $footer_text_color != '') {
echo "\n#footer,#footer-widget-area .widget{\n";
	echo 'color:'.$footer_text_color.';'."\n";
echo "}\n";	
}

if ( $footer_widget_title_color != '' ) {
echo "\n#footer-widget-area .widget .widget-title span{\n";
	echo 'color:'.$footer_widget_title_color.';'."\n";
echo "}\n";	
}

if ( $footer_link_color != '') {
echo "\n#footer a,#footer-widget-area .widget a{\n";
	echo 'color:'.$footer_link_color.';'."\n";
echo "}\n";	
}

if ( $footer_link_hover_color != '') {
echo "\n#footer a:hover,#footer-widget-area .widget a:hover{\n";
	echo 'color:'.$footer_link_hover_color.';'."\n";
echo "}\n";	
}

if ( $footer_list_border_color != '') {
echo "\n#footer-widget-area .widget li{\n";
	echo 'border-color:'.$footer_list_border_color.';'."\n";
echo "}\n";	
}
?>