<?php
/** 
 *	Theme Functions
 * 	---------------------------------------------------------------------------
 *	@author 	Rifki Aria Gumelar
 *	@link		http://www.my-themes.com/
 *	@copyright	Copyright (c) 2012, http://www.my-themes.com/
 *	--------------------------------------------------------------------------- */
 
/*	Get theme data
 *	---------------------------------------- */
	$themedata = get_theme_data(TEMPLATEPATH . '/style.css');
	define( 'THEMENAME', $themedata['Name'] );
	define( 'THEMEVERSION', $themedata['Version'] );
	define( 'TXTDOMAIN', str_replace( '/\W/', '', strtolower( THEMENAME ) ) );

/*	Theme setup 
 *	---------------------------------------- */
	if ( ! isset( $content_width ) )
	$content_width = 940;
	
	add_action( 'after_setup_theme', 'aria_theme_setup' );

	if ( ! function_exists( 'aria_theme_setup' ) ):
	function aria_theme_setup() {
		
		global $pagenow;
		
		// Load textdomain.
		load_theme_textdomain( TXTDOMAIN , get_template_directory() . '/languages' );
		
		// Redirect to theme options page after activation.
		if (is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ) {
			header( 'Location: '.admin_url().'themes.php?page=aero-framework' ) ;
		}
	}
	endif;
	
/*	Load required framework.
 *	---------------------------------------- */
	require_once( get_template_directory() . '/aero/aero.php' );
	
?>