<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6 no-js" <?php language_attributes(); ?>> <![endif]-->
   <!--[if IE 7 ]><html class="ie ie7 no-js" <?php language_attributes(); ?>> <![endif]-->
   <!--[if IE 8 ]><html class="ie ie8 no-js" <?php language_attributes(); ?>> <![endif]-->
   <!--[if IE 9 ]><html class="ie ie9 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!--><html class="no-js" <?php language_attributes(); ?>><!--<![endif]-->
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<?php if (is_search()) { ?>
<meta name="robots" content="noindex, nofollow" /> 
<?php } ?>
<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;">
<title><?php 
	global $page, $paged; wp_title( '|', true, 'right' ); 
	bloginfo( 'name' );
	
	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
	echo " | $site_description";
		
	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
	echo ' | ' . sprintf( __( 'Page %s', TXTDOMAIN ), max( $paged, $page ) ); 
?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />

<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" type="text/css" media="all" class="cssfx" />

<!--[if lt IE 9]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/stylesheets/ie.css" type="text/css" />
<![endif]-->

<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="header-container" class="clearfix">
	<div class="container">
		<header id="header" class="grid_12" role="banner">
			<div id="branding" class="clearfix">
				<div id="site-logo">
				<?php 
				
				$logo = aero_get_option('custom_logo'); 
				
				if (! $logo == '') : 
					echo '<h1 id="site-logo-image"><a href="'.esc_url( home_url( '/' ) ).'" title="'.esc_attr( get_bloginfo( 'name', 'display' ) ).'" rel="home"><img src="'.$logo.'" /></a></h1>';
				else :
					echo '<h1 id="site-title"><a href="'.esc_url( home_url( '/' ) ).'" title="'.esc_attr( get_bloginfo( 'name', 'display' ) ).'" rel="home">'.get_bloginfo( 'name' ).'</a></h1>';
					echo '<h2 id="site-description">'.get_bloginfo( 'description' ).'</h2>';
				endif;
				
				?>
				</div>
				<!--#site-logo-->
				
				<div id="top-complementary">	
				<?php
				
				$enable_top_banner = aero_get_option('top_banner');
				$top_banner_code = aero_get_option('top_banner_code');
					
				if ( $enable_top_banner == true ) : 
				
					echo '<div class="banner-ad">'."\n";
					echo stripslashes( $top_banner_code ) . "\n";
					echo '</div>'."\n";
					
				endif;
				
				?>
				</div>
				<!--#top-complementary-->
			</div>
			<!--#branding-->
		</header>
		<!--#header-->
		
		<div id="primary-nav-bar" class="grid_12" role="navigation">
		
		<?php if ( has_nav_menu( 'primary_menu' ) ) : 
				wp_nav_menu( array(
					'container' => 'nav',
					'container_id' => 'primary-nav',
					'container_class' => '',
					'menu_class' => 'sf-menu',
					'menu_id' => 'sf-menu',
					'theme_location'  => 'primary_menu',
				)); 
		else : ?>
			
			<nav id="primary-nav">
				<ul id="sf-menu" class="sf-menu">	
					<li <?php if(is_home() && is_front_page() ) : ?>class="current"<?php endif; ?>><a href="<?php echo home_url(); ?>" title="">Home</a></li>
					<?php wp_list_categories( array( 'title_li' => '')); ?>
				</ul>
			</nav>
			
		<?php endif; ?>
		</div>
		<!--#primary-nav-bar-->
		
		<div id="secondary-nav-bar" class="grid_12">
	
			<div class="grid_8 alpha">
				<?php if ( is_home() && aero_get_option('newsticker') == true ) : // if is home page and nesticker enabled. ?>
					<?php get_template_part('content', 'ticker'); ?>
				<?php else : // just display a breadcrumbs. ?>
					<?php aero_breadcrumbs(); ?>
				<?php endif; ?>
			</div>
			
			<div class="grid_4 omega">
				<ul id="social-link" class="clearfix">
					<?php 
					$social_link = array( 
						"dribbble" => "http://dribbble.com/", 
						"twitter" => "http://twitter.com/", 
						"facebook" => "http://facebook.com/", 
						"google" => "http://plus.google.com/", 
						"linkedin" => "http://linkedin.com/", 
						"stumble" => "http://stumbleupon.com/", 
						"rss" => "http://feeds.feedburner.com/"
					); 			
					foreach ( $social_link as $key => $val ) {
						if ( aero_get_option('social_'.$key ) != '' ) :
							echo '<li><a class="'.$key.'" href="'.$val.aero_get_option('social_'.$key ).'">'.$key.'</a></li>';
						endif;
					}
					?>
				</ul>
				<!--#social-link-->
			</div>
	
		</div>
		<!--#secondary-nav-bar-->
	</div>
	<!--.container-->
</div>
<!--#header-container-->

<div id="main" class="clearfix">
	<div class="container">