<?php get_header(); ?>

	<?php
	$layout = aero_get_option('general_layout');
	switch ( $layout ) {
		case 'left_sidebar' :
			$primary_class = 'grid_8 right';
			break;
	
		default:
			$primary_class = 'grid_8';
			break;
	}
	?>
	
	<div id="primary" class="<?php echo $primary_class; ?>" role="main">
		<div id="content" class="clearfix">
			<?php while ( have_posts() ) : the_post(); ?>
				<div class="post-box clearfix">
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<header class="entry-header clearfix">
							<h1 class="entry-title"><?php the_title(); ?></h1>
							<div class="entry-meta">
								<span class="meta-date"><?php _e('Uploaded on ', TXTDOMAIN) . the_time(get_option('date_format')); ?></span>
								<span class="meta-author"><?php _e('by ', TXTDOMAIN); ?><a href="<?php echo esc_url( get_author_posts_url( $author_id ) ); ?>" rel="author"><?php the_author(); ?></a></span>
							</div>
						</header><!--.entry-header-->
						<?php 	
						$attachments = array_values( 
							get_children( array( 
								'post_parent' => $post->post_parent, 
								'post_status' => 'inherit', 
								'post_type' => 'attachment', 
								'post_mime_type' => 'image', 
								'order' => 'ASC', 
								'orderby' => 'menu_order ID' 
								) 
							) 
						);
							
						foreach ( $attachments as $k => $attachment ) {
							if ( $attachment->ID == $post->ID )
								break;
							}
	
							$k++;
	
							if ( count( $attachments ) > 1 ) {
								
								if ( isset( $attachments[ $k ] ) )
								$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
								else
								$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
								
							} else {
								$next_attachment_url = wp_get_attachment_url();
							} 
						?>
						<div class="entry-asset clearfix">
							<a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>" rel="prettyPhoto"><?php echo wp_get_attachment_image( $post->ID, 'full' );?></a>
						</div><!--.entry-asset-->
						
						<div class="entry-content">
							<?php the_content(); ?>
						</div><!--.entry-content-->
						
						<footer class="entry-footer clearfix">
							<div class="entry-meta">
								<?php $metadata = wp_get_attachment_metadata(); ?>
								<?php _e('<strong>Original size :</strong> ', TXTDOMAIN); ?><?php echo $metadata['width'] . 'x' . $metadata['height']; ?>
								<br/>
								<?php _e('<strong>Attached to :</strong> ', TXTDOMAIN);?><a href="<?php echo get_permalink( $post->post_parent ); ?>" title="Return to <?php echo get_the_title( $post->post_parent ); ?>"><?php echo get_the_title( $post->post_parent ); ?></a>
							</div>
						</footer><!--.entry-footer-->
					</article>
				</div><!-- #post-<?php the_ID(); ?> -->
				
				<?php comments_template(); ?>
				
			<?php endwhile; ?>
		</div><!--#content-->
	</div><!--#primary-->
	
	<?php get_sidebar(); ?>

<?php get_footer(); ?>