jQuery.noConflict(); // no conflict.
jQuery(document).ready( function($) {

	/* Slider
	 * ---------------------------------------------- */
	var slideshow_animation = $('.flexslider').attr('data-animation');
	var slideshow_speed = $('.flexslider').attr('data-interval');
	var slideshow_duration = slideshow_speed - 6200;
		
	$('.flexslider').flexslider({
		animation: slideshow_animation,
		slideshowSpeed: slideshow_speed,
		animationDuration: slideshow_duration,
		controlNav:false,
		directionNav:true,
		mousewheel:false,
		pausePlay:true,
		start:function(){
			$('.flex-direction-nav, .flex-pauseplay').css({
				'display' : 'block'
			});
		},
		before:function(){
			$('.flex-caption').animate({ 
				bottom: -300,
				opacity: 0
			});
		},    
		after:function(){
			$('.flex-caption').animate({ 
				bottom: 15,
				opacity: 1
			}, {easing:'easeOutExpo'});
		}
	});
	
	/* Newsticker
	 * ---------------------------------------------- */
	$('#newsticker ul').css({'display' : 'block'}).liScroll({travelocity: 0.05});
	
	/* Superfish
	 * ---------------------------------------------- */
	$('.sf-menu').superfish({
		delay: 400,
		speed: 'slow',
		animation: {opacity:'show', height:'show'},
		autoArrows: false,
		dropShadows: false,
		disableHI: true
	});
	
	/* PrettyPhoto
	 * ---------------------------------------------- */
	$('a[rel^="prettyPhoto"]').prettyPhoto({
		
	});
	
	/* Entry asset hover 
	 * ---------------------------------------------- */
	$(this).find('a.expander').css({ 
		'visibility' : 'visible', 
		'opacity' : '0' 
	});
		
	$('.entry-asset').hover(function() {
		$(this).find('a.expander').animate({
			right : 50,
			opacity : 1
		});
		
		$(this).find('img').animate({
			opacity : 0.85
		});
		
	}, function () {
		$(this).find('a.expander').animate({
			right : 15,
			opacity : 0
		});
		
		$(this).find('img').animate({
			opacity : 1
		});
	});

	/* Search form
	 * ---------------------------------------------- */
	var inactiveText = '';
	$('.searchform .s').focusin(function() {
		if($(this).val() == $(this).attr('value')) {
			inactiveText = $(this).val();
			$(this).val('');
		}
	});
	
	$('.searchform .s').focusout(function() {
		if($(this).val() == '') {
			$(this).val(inactiveText);
		}
	});
	
	/* Tabs
	 * ---------------------------------------------- */
	$('ul.tabs').tabs('div.panes > div');
	
	/* Accordion
	 * ---------------------------------------------- */
	$('.accordion').tabs('.accordion div.pane', {
		tabs:'h2', effect:'slide', initialIndex: null
	});
	
	/* Box
	 * ---------------------------------------------- */
	var $control_close = $('<span class="close-control">x</span>');
	$control_close.appendTo('.box');
	$('.box').each(function(){
		$(this).find('.close-control').click(function(){
			$(this).parent().hide();
		});
	});
	
	/* Responsive Menu
	 * ---------------------------------------------- */
	$('<select />').appendTo('#primary-nav');
	
	$('<option />', {
		'selected': 'selected',
		'value'   : '',
		'text'    : 'Navigate to...'
	}).appendTo('nav select');
	
	$('#primary-nav li a').each(function() {
		var el = $(this);
		$('<option />', {
			'value'   : el.attr('href'),
			'text'    : el.text()
		}).appendTo('nav select');
	});
	
	$('nav select').change(function() {
		window.location = $(this).find('option:selected').val();
	});
	
});