<?php 
/* 
Template Name: Portfolio  
*/

get_header(); ?>
	
	<?php
	/* Access to metabox data. */
	global $page_meta;
	$meta = get_post_meta(get_the_ID(), $page_meta->get_the_id(), true);
	switch ( $meta['page_layout'] ) {
		case '1col':
			$primary_class = 'clearfix';	
			$pagenavi_class = 'grid_12';
			break;
				
		case '2cl':
			$primary_class = 'grid_8 right';	
			$pagenavi_class = 'grid_8 alpha omega';
			break;
				
		default:
			$primary_class = 'grid_8';
			$pagenavi_class = 'grid_8 alpha omega';
			break;
	} 
	?>
	
	<div id="primary" class="<?php echo $primary_class; ?>" role="main">
		<?php
		/* Portfolio Settings */
		$posts_per_page = aero_get_option('portfolio_posts_per_page');
		?>
		<div id="content" class="clearfix">
			<?php query_posts( array( 'posts_per_page' => $posts_per_page, 'post_type' => 'portfolio', 'paged' => get_query_var('paged') ) ); ?>
			<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<div class="post-box grid_4 <?php if ( $meta['page_layout'] != '1col' ) : aero_post_box_class(); endif; ?>">
						<?php get_template_part('content', 'portfolio'); ?>
					</div>
				<?php endwhile; ?>
			<?php endif; ?>
			
			<div id="navigation" class="<?php echo $pagenavi_class; ?>" role="navigation">
			<?php 
				
			/* Navigation settings */
			$pagenavi_style = aero_get_option('pagenavi_style');
			$pagenavi_next_text = aero_get_option('pagenavi_next_text');
			$pagenavi_prev_text = aero_get_option('pagenavi_prev_text');
				
			if( $pagenavi_style == 'numbered' ) { 
				pagenavi(); 
			} else { ?>
				<div class="left"><?php previous_posts_link($pagenavi_prev_text) ?></div>
				<div class="right"><?php next_posts_link($pagenavi_next_text ) ?></div>
			<?php } ?>
			</div><!--#navigation-->
		</div><!--#content-->
	</div>
	<!--#primary-->	
	
	<?php if ( $meta['page_layout'] != '1col' ) : ?>
		<?php get_sidebar('portfolio'); ?>
	<?php endif; ?>
	
<?php get_footer(); ?>