<?php get_header(); ?>

	<?php
	$layout = aero_get_option('general_layout');
	switch ( $layout ) {
		case 'left_sidebar' :
			$primary_class = 'grid_8 right';
			break;
	
		default:
			$primary_class = 'grid_8';
			break;
	}
	
	$excerpt_lenght = aero_get_option('excerpt_lenght'); // excerpt lenght.
	?>
	
	<div id="primary" class="<?php echo $primary_class; ?>" role="main">

		<div id="content" class="clearfix">
			<?php if ( have_posts() ) : ?>	
				<?php while ( have_posts() ) : the_post(); ?>
				<div class="post-box grid_4 <?php aero_post_box_class(); ?>">
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<header class="entry-header clearfix" style="margin-top:15px;">
							<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', TXTDOMAIN ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
								<div class="entry-meta">
									<?php if ( $post->post_type == 'page') : ?>
										<span><?php _e( 'Page', TXTDOMAIN ); ?></span>
									<?php elseif ( $post->post_type == 'portfolio') : ?>
										<span><?php _e( 'Portfolio', TXTDOMAIN ); ?></span>
									<?php else : ?>
										<span><?php _e( 'Post', TXTDOMAIN ); ?></span>
									<?php endif; ?>
								</div>
						</header><!-- .entry-header -->
				
						<div class="entry-summary clearfix">
							<p><?php aero_excerpt( $excerpt_lenght ); ?></p>	
						</div><!-- .entry-summary -->
		
						<footer class="entry-footer clearfix">		
							<div class="entry-meta">
							<?php if ( comments_open() ) : ?>
							<span class="left meta-comment"><?php comments_popup_link( __( '0 comments', TXTDOMAIN ), _x( '1 comments', TXTDOMAIN ), _x( '% comments', TXTDOMAIN ) ); ?></span>
							<?php else : ?>
							<span class="left meta-comment"><?php _e('Comment off', TXTDOMAIN); ?></span>
							<?php endif; ?>
							<span class="right meta-date"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute( 'echo=0' ); ?>" rel="bookmark"><?php echo human_time_diff( get_the_time('U'), current_time('timestamp') ) . ' ago'; ?></a></span>
							</div>		
						</footer><!--.entry-footer-->
	
					</article><!-- #post-<?php the_ID(); ?> -->
				</div>
				<?php endwhile; ?>
			<?php else : ?>
				<div class="post-box grid_8 alpha omega">
					<article id="post-0" class="post no-results not-found singular-entry clearfix">
						<header class="entry-header">
							<h1 class="entry-title"><?php _e( 'Nothing Found', TXTDOMAIN ); ?></h1>
						</header><!-- .entry-header -->

						<div class="entry-content">
							<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', TXTDOMAIN ); ?></p>
							<?php get_search_form(); ?>
						</div><!-- .entry-content -->
					</article><!-- #post-0 -->
				</div>
			<?php endif; ?>
			
			<div id="navigation" class="grid_8 alpha omega" role="navigation">
			<?php 
				
			/* Navigation settings */
			$pagenavi_style = aero_get_option('pagenavi_style');
			$pagenavi_next_text = aero_get_option('pagenavi_next_text');
			$pagenavi_prev_text = aero_get_option('pagenavi_prev_text');
				
			if( $pagenavi_style == 'numbered' ) { 
				pagenavi(); 
			} else { ?>
				<div class="left"><?php previous_posts_link($pagenavi_prev_text) ?></div>
				<div class="right"><?php next_posts_link($pagenavi_next_text ) ?></div>
			<?php } ?>
			</div><!--#navigation-->
			
		</div><!--#content-->
	</div><!--#primary-->	
	
	<?php get_sidebar(); ?>
	
<?php get_footer(); ?>