<?php
/*
Template Name: Contact
*/
?>

	<?php 
	
	/* Default Variables */
	$nameError = '';
	$emailError = '';
	$commentError = '';

	if( isset( $_POST['submitted']) ) {
		
		/* validate name field */
		if( trim($_POST['contactName']) === '' ) {
			$nameError = aero_get_option('contact_name_error');
			$hasError = true;
		} else {
			$name = trim($_POST['contactName']);
		}
	
		/* validate email field */
		if( trim($_POST['contactEmail']) === '' )  {
			$emailError = aero_get_option('contact_email_error');
			$hasError = true;
		} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+.[A-Z]{2,4}$", trim($_POST['contactEmail']))) {
			$emailError = aero_get_option('contact_email_invalid');
			$hasError = true;
		} else {
			$email = trim($_POST['contactEmail']);
		}
	
		/* validate comments field */
		if( trim($_POST['comments']) === '' ) {
			$commentError = aero_get_option('contact_comments_error');
			$hasError = true;
		} else {
			$comments = stripslashes( trim($_POST['comments']) );
		}
		
		if( !isset($hasError) ) {
	
			$emailTo = aero_get_option('contact_email');;
			$subject = 'Contact Form Submission from '.$name;
			$body = 'Name: ' .$name. "\n\n" . 'Email: ' .$email. "\n\n" . 'Comments: ' .$comments;
			$headers = 'From: ' .$name. '<'.$email.'>' . "\r\n" . 'Reply-To: ' . $email;
 
			mail($emailTo, $subject, $body, $headers);

			$emailSent = true;
		}
	}
	
	get_header(); ?>
	
	<?php
	/* Access to metabox data. */
	global $page_meta;
	$meta = get_post_meta(get_the_ID(), $page_meta->get_the_id(), true);
	switch ( $meta['page_layout'] ) {
		case '1col':
			$primary_class = 'grid_12';		
			break;
				
		case '2cl':
			$primary_class = 'grid_8 right';	
			break;
				
		default:
			$primary_class = 'grid_8';	
			break;	
	} 
	?>
	
	<div id="primary" class="<?php echo $primary_class; ?>" role="main">
		<div id="content" class="<?php echo $primary_class; ?> alpha omega">
			<?php while ( have_posts() ) : the_post(); ?>
				<div class="post-box <?php echo $primary_class; ?> alpha omega clearfix">
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<header class="entry-header">
							<h1 class="entry-title"><?php the_title(); ?></h1>
						</header><!-- .entry-header -->
						
						<div class="entry-content">
						
						<?php if( isset($emailSent) && $emailSent == true ) { ?>
							<div class="thanks">
								<h4>Thank you, <?php echo $name; ?></h4>
								<p><?php echo aero_get_option('contact_success'); ?></p>
							</div>
						<?php } else { ?>
							
							<?php the_content(); ?>
							
							<?php if( isset($hasError) || isset($captchaError) ) : ?>
							<p class="error"><?php echo aero_get_option('contact_error'); ?><p>
							<?php endif; ?>
							
							<form action="<?php the_permalink(); ?>" id="contactForm" method="post">
								
								<p>
									<label for="contactName"><?php _e('Name', TXTDOMAIN); ?></label>
									<input type="text" name="contactName" id="contactName" value="<?php if( isset($_POST['contactName']) ) echo $_POST['contactName']; ?>" class="requiredField" />
									<?php if( $nameError != '' ) { ?>
										<span class="error"><?php echo $nameError; ?></span> 
									<?php } ?>
								</p>
								
								<p>
									<label for="contactName"><?php _e('Email', TXTDOMAIN); ?></label>
									<input type="text" name="contactEmail" id="contactEmail" value="<?php if( isset($_POST['contactEmail']) ) echo $_POST['contactEmail']; ?>" class="requiredField email" />
									<?php if( $emailError != '' ) { ?>
										<span class="error"><?php echo $emailError; ?></span> 
									<?php } ?>
								</p>
								
								<p>
									<label for="commentsText"><?php _e('Comments', TXTDOMAIN); ?></label>
									<textarea name="comments" id="commentsText" rows="10" cols="30" class="requiredField"><?php if( isset($_POST['comments']) ) echo stripslashes($_POST['comments']); ?></textarea>
									<?php if($commentError != '') { ?>
										<span class="error"><?php echo $commentError; ?></span> 
									<?php } ?>
								</p>
								
								<p>
									<input type="hidden" name="submitted" id="submitted" value="true" />
									<button type="submit"><?php echo aero_get_option('contact_button_text'); ?></button>
								</p>
								
							</form>
							
						<?php } ?>
						
						<?php wp_link_pages(array('before' => '<p><strong>'.__('Pages',TXTDOMAIN).':</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
						<?php edit_post_link(__('<p>Edit this post</p>',TXTDOMAIN)); ?>
						</div><!--entry-content-->
						
						<footer class="entry-footer">
						</footer><!-- .entry-meta -->
					</article><!-- #post-<?php the_ID(); ?> -->	
				</div>
				
				<div class="<?php echo $primary_class; ?> alpha omega clearfix">
					<?php if ( comments_open() ) : comments_template( '', true ); endif; ?>
				</div>
			<?php endwhile; ?>
		</div><!--#content-->
	</div><!--#primary-->

	<?php if ( $meta['page_layout'] != '1col' ) : ?>
		<?php get_sidebar('page'); ?>
	<?php endif; ?>

<?php get_footer(); ?>