<?php 
/* 
Template Name: Gallery Detailed
*/

get_header(); ?>

	<?php
	/* Access to metabox data. */
	global $page_meta;
	$meta = get_post_meta(get_the_ID(), $page_meta->get_the_id(), true);			
	switch ( $meta['page_layout'] ) {
		case '1col':
			$primary_class = 'clearfix';	
			$pagenavi_class = 'grid_12';
			break;
				
		case '2cl':
			$primary_class = 'grid_8 right';	
			$pagenavi_class = 'grid_8 alpha omega';
			break;
				
		default:
			$primary_class = 'grid_8';
			$pagenavi_class = 'grid_8 alpha omega';
			break;	
	} 
	?>

	<div id="primary" class="<?php echo $primary_class; ?>" role="main">
		<div id="content" class="clearfix">
			<?php 
			/* Gallery Settings */
			$post_per_page = aero_get_option('gallery_posts_per_page');
			?>
			
			<?php query_posts( array( 'post_type' => array( 'post', 'portfolio'), 'meta_key' => '_thumbnail_id', 'post_status' => 'published', 'posts_per_page' => $post_per_page, 'paged' => get_query_var('paged') ) ); ?>
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>				
	
				<?php
				/* Thumbnail settings */
				$width = 430;
				$height = 247;
				$size = $width.'x'.$height;
				$type = '';
				?>
				
				<div class="post-box grid_4 <?php if ( $meta['page_layout'] != '1col' ) : aero_post_box_class(); endif; ?>">
					<article id="gallery-" class="gallery-item format-image entry clearfix">
						<div class="entry-asset">
							<?php echo aero_print_thumbnail('type=gallery&size='.$size); ?>
						</div><!--.entry-asset-->
						<?php
						$thumbnail_id = get_post_thumbnail_id(get_the_ID());
						$thumbnail_image = wp_get_attachment_image( $thumbnail_id, $size ); 
						$thumbnail_full = wp_get_attachment_image_src( $thumbnail_id, 'full');
						$thumbnail_meta	= wp_get_attachment_metadata($thumbnail_id);
						$thumbnail_link = get_attachment_link($thumbnail_id);
						$thumbnail_post = get_posts( array('p' => $thumbnail_id, 'post_type' => 'attachment') );
				
						if ( $thumbnail_post && isset( $thumbnail_post[0] ) ) {
							$thumbnail_title = $thumbnail_post[0]->post_title;
						}
						?>
				
						<div class="entry-header clearfix">
							<h2 class="entry-title"><a href="<?php echo $thumbnail_link; ?>" title="<?php printf( esc_attr__( 'Permalink to %s', TXTDOMAIN ), $thumbnail_title ); ?>" rel="bookmark"><?php echo $thumbnail_title; ?></a></h2>
							<div class="entry-meta">
								<span class="meta-author"><?php _e('Uploaded by ', TXTDOMAIN); ?><a href="<?php echo esc_url( get_author_posts_url( $author_id ) ); ?>" rel="author"><?php the_author(); ?></a></span>
								<span class="meta-date"><?php echo human_time_diff( get_the_time('U'), current_time('timestamp') ) . ' ago'; ?></span>
								<span class="meta-size"><?php _e('size : ', TXTDOMAIN); ?><a href="<?php echo $thumbnail_full[0]; ?>" title="<?php printf( esc_attr__( 'View %s in full size', TXTDOMAIN ), $thumbnail_title ); ?>" rel="prettyPhoto"><?php echo $thumbnail_meta['width'] . 'x' . $thumbnail_meta['height']; ?></a></span>
							</div>
						</div><!--.entry-header-->
				
					</article><!-- #post-<?php the_ID(); ?> -->
				</div>
						
			<?php endwhile; endif; ?>	
			
			<div id="navigation" class="<?php echo $pagenavi_class; ?>" role="navigation">
			<?php 
				
			/* Navigation settings */
			$pagenavi_style = aero_get_option('pagenavi_style');
			$pagenavi_next_text = aero_get_option('pagenavi_next_text');
			$pagenavi_prev_text = aero_get_option('pagenavi_prev_text');
				
			if( $pagenavi_style == 'numbered' ) { 
				pagenavi(); 
			} else { ?>
				<div class="left"><?php previous_posts_link($pagenavi_prev_text) ?></div>
				<div class="right"><?php next_posts_link($pagenavi_next_text ) ?></div>
			<?php } ?>
			</div><!--#navigation-->
		</div>
		<!--#content-->
	</div>
	<!--#primary-->	
	
	<?php if ( $meta['page_layout'] != '1col' ) : ?>
		<?php get_sidebar(); ?>
	<?php endif; ?>
			
<?php get_footer(); ?>